#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x7b303b92, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x2bc1b043, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x29d7e66c, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x4bcd5c3d, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x7728275d, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x2d25f40d, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd4cd5035, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x1415fdd2, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xc5a7233a, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x084d0ec4, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xbbc77b63, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xf4540731, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xb4f13e28, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd799755b, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xacf5fd84, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x06ad9511, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x18b88f93, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x04d9e3c2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xa1db01ba, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x2c0e4730, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x2f10920a, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x4c9e5a16, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xdf14207a, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb2cdbb0f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x9196ac08, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xb90d4bbd, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x364bbee0, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xfb9e4e52, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x2962428d, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x3b36a513, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x10e6da8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x86f5ef4b, "kthread_queue_work" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x28110b98, "kthread_create_worker" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0x10ad22bb, "sched_set_fifo" },
	{ 0x330f7578, "kthread_destroy_worker" },
	{ 0x95528c7a, "crypto_register_aead" },
	{ 0xf1c0c36b, "crypto_unregister_aead" },
	{ 0x55649335, "crypto_register_ahash" },
	{ 0x96b7c2a2, "crypto_unregister_ahash" },
	{ 0xa91cb36d, "crypto_register_akcipher" },
	{ 0xaacda916, "crypto_unregister_akcipher" },
	{ 0x4d77b8c, "crypto_register_kpp" },
	{ 0x526efa9c, "crypto_unregister_kpp" },
	{ 0x7fedc201, "crypto_register_skcipher" },
	{ 0x4de40ef5, "crypto_unregister_skcipher" },
	{ 0x70d87663, "crypto_enqueue_request" },
	{ 0xe9b2f550, "crypto_dequeue_request" },
	{ 0xc340814, "crypto_enqueue_request_head" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
