#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47ec345a, "crypto_alloc_ahash" },
	{ 0x5cd689d9, "__host1x_client_init" },
	{ 0xf67d15a8, "devm_platform_ioremap_resource" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x4c0471ca, "platform_driver_unregister" },
	{ 0xf04c3abe, "host1x_job_pin" },
	{ 0x18b88f93, "crypto_engine_unregister_aead" },
	{ 0x94d208ff, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x8260a928, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc032bcbf, "host1x_syncpt_request" },
	{ 0x84d0ec4, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x4df7278b, "host1x_job_put" },
	{ 0xacf5fd84, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x855e1446, "host1x_job_unpin" },
	{ 0xa27a5c06, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xfb9e4e52, "crypto_engine_register_skcipher" },
	{ 0x1415fdd2, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2962428d, "crypto_engine_unregister_skcipher" },
	{ 0x472810d7, "host1x_syncpt_put" },
	{ 0x29d7e66c, "crypto_transfer_hash_request_to_engine" },
	{ 0x121eaa31, "_dev_err" },
	{ 0x44990339, "crypto_shash_setkey" },
	{ 0x9610afea, "host1x_job_submit" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xfd44c3a8, "dma_alloc_attrs" },
	{ 0xbbc77b63, "crypto_engine_start" },
	{ 0x6ad9511, "crypto_engine_register_aead" },
	{ 0x4d743c8c, "host1x_device_init" },
	{ 0x2f10920a, "crypto_engine_unregister_ahash" },
	{ 0x806eb8a1, "__host1x_client_register" },
	{ 0xa559441f, "crypto_ahash_finup" },
	{ 0xf4540731, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x652696f9, "device_get_match_data" },
	{ 0x7b303b92, "crypto_transfer_aead_request_to_engine" },
	{ 0xe27ebb3f, "host1x_driver_unregister" },
	{ 0x379fad83, "crypto_ahash_digest" },
	{ 0x64dc8d53, "host1x_syncpt_wait" },
	{ 0xfcbdc4cd, "host1x_syncpt_get" },
	{ 0xe742fb12, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xb817a828, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb805e707, "__platform_driver_register" },
	{ 0x9405bcad, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xda935583, "host1x_client_unregister" },
	{ 0x2d25f40d, "crypto_finalize_aead_request" },
	{ 0x7112b35a, "dma_free_attrs" },
	{ 0xace19c2f, "dma_map_sgtable" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x40c3128c, "host1x_channel_request" },
	{ 0xd799755b, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x726d5cbb, "host1x_device_exit" },
	{ 0x7728275d, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x342fa110, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfcce70c8, "dma_set_mask" },
	{ 0x6d7e6549, "host1x_driver_register_full" },
	{ 0x79b5edc8, "dma_get_sgtable_attrs" },
	{ 0x6d4724ca, "host1x_channel_put" },
	{ 0x5d3cf8d1, "dev_err_probe" },
	{ 0x9d0aa696, "devm_clk_get_enabled" },
	{ 0x1bd97611, "dma_unmap_sg_attrs" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x6624c624, "crypto_alloc_shash" },
	{ 0x2c0e4730, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x8dd41d46, "host1x_syncpt_id" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
