#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xa50342ef, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x6c98b798, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x0ce98865, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xc9633e62, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xefad71c5, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x55c8353d, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x299d5565, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x8f5205fe, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x71b3617a, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xe8be56cb, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xf3f60cfc, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xf7f7c320, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x132c08d4, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x6c7a7c29, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x71509011, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x0621fd37, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x742ebf95, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x39472dff, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xe11f0ee6, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x7390d5f6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xce2cb722, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x5d6256fd, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xfa01c492, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xca7d3ce7, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x277b0403, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x323d4eb4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x26611a59, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x1c275175, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x1f00673c, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x0d6b5c50, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x75899c53, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x732809b6, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x2c44b452, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x23b64bdf, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x86b8b312, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x7e2a0abd, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x0533ce38, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xa77d917c, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xd6147773, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x6839a2c6, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xc4127ec7, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x408905b7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x3082fb1e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x9c300101, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xe120bb3f, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x7abffa59, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x6121ee24, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc55b36f9, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x39f00750, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x94b67435, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xb46bf37f, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xb59612a8, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x0a32428f, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x16a974b2, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x50d1dbc9, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x3df9a9e8, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xb348326d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xa296b338, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x82137d9b, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xae57d4f0, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xe25c76eb, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x65d8c744, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xab0914a3, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xfdca2e29, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x2a2733b5, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xd529a336, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x30c96533, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x8fa2230c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x426e15c8, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x8ef8876c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xa594494a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xbf0d0fd9, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd34b7d9b, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x4451a438, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xedbe6ef1, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xce875458, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xce3c63bb, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x2a6a04e1, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x16d72ee6, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xe1ca589c, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xe4440bb3, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xd90faf45, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x12a30c65, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x79c6ce94, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x3d754871, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x731cde28, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xcb5e6f52, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x726df3e1, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x0c48a822, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x74a6a822, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x28159b64, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xd3ee5790, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xe35ccfea, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x90837cc0, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x2c7a7fee, "");
SYMBOL_CRC(drm_flip_work_queue, 0xf7946dec, "");
SYMBOL_CRC(drm_flip_work_commit, 0x88e99396, "");
SYMBOL_CRC(drm_flip_work_init, 0xbd0410e5, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x1fc01d19, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x25818d58, "");
SYMBOL_CRC(drm_fb_swab, 0xb43379ba, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xdf4df597, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x2ddc2666, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe6da9d52, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xedb6554a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb8056c1e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x307671dd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x86c6acba, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xe45573fa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xb147f10c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x62d2e736, "");
SYMBOL_CRC(drm_fb_blit, 0x845d92dd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x247de4fa, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x8f763c29, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xe3b0ad5d, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xb4a0b1ab, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x546a4947, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x758f6ff0, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x136d36e0, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xcea8d104, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x6047a44b, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x30ba82bc, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x5bec96f5, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x2d47db1b, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe2b3b810, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xa1231471, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xf9a1ce39, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x78184325, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xffbefb6a, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x74f8ede4, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x1f99aa82, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xa617aa9c, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0329b5e6, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x4e950c5a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x1e231539, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xdc8b965a, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x36af7950, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xce2836a3, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x6a3ccc8d, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xbe6dfb03, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x41ccf74c, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x19989087, "");
SYMBOL_CRC(drm_crtc_init, 0xa2688561, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x112fb0dd, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xb4a0d129, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x8caf696a, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x6a9e060b, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x15f0568e, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xef32ca21, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xc54ec575, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x064d451f, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x409e5e58, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x4466ee02, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xf0925c03, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x6cdc23a5, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x911d26e6, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x72891e68, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xaa7d04ba, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x08faaaef, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x2c77a307, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xe3291258, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x69c5726e, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x68006d9e, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x291c9632, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xe0a5326c, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xa0ad785f, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x8c4823bd, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xbf2fc16c, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xf96f430f, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xc6d57706, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x7efa10df, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa05c3b92, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xb9ad4363, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x749e02de, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xc363beaf, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xdd9323d9, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xa46c2638, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xf48957f3, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x1a7c7fa8, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf0583150, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x15884413, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xfa429b8d, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x9ccff6d2, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xe40e0482, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2334c0ab, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xfbb227dd, "drm_framebuffer_cleanup" },
	{ 0x6e45bce6, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x91695eaf, "drm_panel_get_modes" },
	{ 0x191e0838, "drm_gem_vmap_unlocked" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xdc6eec0, "drm_connector_list_update" },
	{ 0xceb517, "drm_bridge_add" },
	{ 0xa226295c, "drm_bridge_chain_mode_valid" },
	{ 0xbfdf6470, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x27c97caa, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xffb79d45, "drm_framebuffer_init" },
	{ 0x14aa9e10, "drm_mode_validate_driver" },
	{ 0x6bd1ec28, "drm_atomic_add_affected_planes" },
	{ 0xadff8ab1, "dma_buf_end_cpu_access" },
	{ 0xf250f37e, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x89d214ab, "drm_mode_probed_add" },
	{ 0x5a3e6e0, "drm_atomic_add_affected_connectors" },
	{ 0x14f89e3b, "drm_gem_vunmap_unlocked" },
	{ 0x569e12b4, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0xb61fd240, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x786105cb, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x64ee09e8, "drm_mode_object_get" },
	{ 0xa13e7b3e, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xf4049ca1, "drm_crtc_cleanup" },
	{ 0xd473171d, "drm_connector_list_iter_begin" },
	{ 0x30baaa99, "drm_mode_set_config_internal" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x9e0d1ec4, "drm_encoder_cleanup" },
	{ 0x454ffd84, "drm_modeset_acquire_init" },
	{ 0xbc346f98, "dma_fence_set_deadline" },
	{ 0xe5816a99, "drm_warn_on_modeset_not_all_locked" },
	{ 0x5dd9071e, "drm_plane_get_damage_clips" },
	{ 0x8730c86a, "devres_add" },
	{ 0x81e1be7e, "dma_fence_wait_timeout" },
	{ 0x96f11e18, "drm_add_modes_noedid" },
	{ 0xc3ecad12, "drm_bridge_remove" },
	{ 0x701f230a, "drm_mode_object_put" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0x879d82c7, "drm_crtc_vblank_get" },
	{ 0x8ef9ab8d, "drm_gem_object_lookup" },
	{ 0x909b4573, "drm_crtc_send_vblank_event" },
	{ 0x8c5876a, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb764e2f2, "drm_atomic_normalize_zpos" },
	{ 0x297878cd, "drm_edid_connector_update" },
	{ 0x8099fa7, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1a438900, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb75f16d4, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xdd655e5a, "drm_connector_list_iter_end" },
	{ 0xda9714b4, "drm_atomic_set_crtc_for_plane" },
	{ 0x48cbdf73, "drm_mode_prune_invalid" },
	{ 0x223ad36a, "drm_client_dev_hotplug" },
	{ 0xb5f8b3be, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x6801879f, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x241a20d8, "dma_buf_begin_cpu_access" },
	{ 0x89d9b1a7, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x138f4495, "drm_crtc_next_vblank_start" },
	{ 0xecb9df04, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xbcc1bb51, "drm_modeset_lock" },
	{ 0x652ee638, "drm_modeset_unlock" },
	{ 0xb0d95b20, "drm_panel_disable" },
	{ 0xc6bbe231, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd7894b3d, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa0f7fd62, "devm_kfree" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xab0e74be, "drm_writeback_cleanup_job" },
	{ 0x61030998, "drm_modeset_lock_all_ctx" },
	{ 0x75bac93d, "i2c_unregister_device" },
	{ 0x9ffbd2c7, "drm_atomic_set_fb_for_plane" },
	{ 0x8cc32a7d, "__drm_universal_plane_alloc" },
	{ 0xc7a87c5d, "drm_edid_connector_add_modes" },
	{ 0xb324d8a7, "drm_probe_ddc" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x17cb3cbc, "__devres_alloc_node" },
	{ 0x6f38b48e, "drm_edid_read" },
	{ 0x77fdd36f, "drm_crtc_commit_wait" },
	{ 0xd5a4624f, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xfc5f471b, "__drm_atomic_helper_disable_plane" },
	{ 0x33b20edc, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3cd034f6, "drm_gem_handle_create" },
	{ 0xaba27816, "drm_atomic_set_crtc_for_connector" },
	{ 0x4756f5b0, "drm_analog_tv_mode" },
	{ 0x9515fefd, "drm_crtc_init_with_planes" },
	{ 0x7d2828df, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcabdea96, "drm_crtc_vblank_put" },
	{ 0xa103892e, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0x4ea480a6, "drm_plane_get_damage_clips_count" },
	{ 0xfa354c34, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xcc5bf4d1, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0xd47f90f9, "drm_atomic_bridge_chain_post_disable" },
	{ 0x4cfc70d9, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x296668b9, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xa674fee1, "__drm_atomic_helper_set_config" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x57b36313, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x6eff9ec6, "drm_connector_cleanup" },
	{ 0xbb15fe87, "drm_get_format_info" },
	{ 0x1813f672, "drm_universal_plane_init" },
	{ 0x2b8dc910, "drm_any_plane_has_format" },
	{ 0x6abe2bb, "drm_connector_list_iter_next" },
	{ 0xf383050f, "drm_modeset_acquire_fini" },
	{ 0x4bce454a, "drm_encoder_init" },
	{ 0xa1aeb5da, "drm_object_property_get_default_value" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0xbcc19c63, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9b62563b, "drm_modeset_backoff" },
	{ 0x10eec6ef, "drm_panel_prepare" },
	{ 0x92b25d07, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xb7181a82, "drm_atomic_get_plane_state" },
	{ 0x7d8f88f6, "drm_atomic_bridge_chain_check" },
	{ 0xb153d866, "dma_fence_chain_init" },
	{ 0x92154615, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4eb8f078, "drm_property_blob_put" },
	{ 0xc0148885, "drm_mode_destroy" },
	{ 0x59304271, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8ae82b70, "drm_set_preferred_mode" },
	{ 0x2d43db82, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x137df793, "drm_atomic_state_clear" },
	{ 0xae6ddb5c, "drm_mode_config_reset" },
	{ 0x4f5b5e4f, "drm_property_create_blob" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x6fd503ac, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xd1005d74, "drm_atomic_bridge_chain_disable" },
	{ 0x4a6ad46b, "drm_mode_create_from_cmdline_mode" },
	{ 0x1ed7e6d5, "drm_mode_validate_ycbcr420" },
	{ 0x5c03c9cd, "drm_atomic_nonblocking_commit" },
	{ 0x1107fa9e, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x3685d3cf, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x48a4e713, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xd499ba1c, "drm_atomic_add_encoder_bridges" },
	{ 0xacfc8a80, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb57583bd, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E6F29E0A47D8BCD515E367C");
MODULE_INFO(rhelversion, "9.6");
