#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0xffb80304, "");
SYMBOL_CRC(dm_snap_cow, 0x988a2149, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xa77370b6, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xbdc9d541, "");
SYMBOL_CRC(dm_exception_store_create, 0xca64d6a8, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x4617d936, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd07b8b0f, "bio_associate_blkg" },
	{ 0x5027071f, "dm_internal_resume_fast" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xcaaa40ff, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc593c16b, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb7fc9f0f, "dm_per_bio_data" },
	{ 0x1c084eb6, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1f11231e, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x38a51add, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2835ec2b, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2177ffaf, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xc2f5b8bc, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x948ae620, "mempool_alloc" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x6e6bf60e, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe226c342, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x77a03a4d, "down_write" },
	{ 0xc192f218, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x814559e0, "__wake_up_locked" },
	{ 0xd81284ae, "dm_suspended" },
	{ 0x98fd310b, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x66eef449, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd97864d2, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa7e06cba, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfad38b23, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0xb38f1869, "dm_table_event" },
	{ 0x95bb0103, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xdf619998, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79b137ef, "down_read" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xafc62637, "dm_kcopyd_copy" },
	{ 0x5655446c, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x8abd2c47, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x36a97ede, "blkdev_issue_flush" },
	{ 0x1a10915d, "remove_wait_queue" },
	{ 0xaf1ea842, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0xb66262f4, "dm_io" },
	{ 0x95068543, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2d545fd0, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xecb27d24, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x7b44db8, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.6");
