#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x0d096049, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x8e51d68d, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x03e24369, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x9ae6b2da, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xc60b2eb0, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xa2ae0323, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xb8a07399, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x5bd9276d, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x0ac449a3, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x510251fb, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x523f320f, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x9905b7bf, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x253675a2, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xb4bc0a37, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x5f3126d4, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x08b1d17f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x11036e8f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ce0c5e9, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x1c41d869, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x83ab0db, "seq_lseek" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x2394489a, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xda591452, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5bb1c8b, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccc22db0, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x38781027, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xf35eb3f, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcd44a78, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x3361ad36, "seq_read" },
	{ 0xd9a75d2b, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x8f0537aa, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x57e29080, "seq_puts" },
	{ 0x4c9d1f39, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0x22a781be, "single_open" },
	{ 0x1107fa9e, "debugfs_create_dir" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x21d29454, "cdev_init" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x799cf63, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.6");
