#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xc1853cb0, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x6de07f0c, "_gpl");
SYMBOL_CRC(media_device_init, 0x01e1c26d, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x39583cd9, "_gpl");
SYMBOL_CRC(__media_device_register, 0x8212219f, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1983f051, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x0513563f, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xf289f937, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x9db784d5, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x6326ad29, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x1fade48e, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x4dc1e090, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x6886da10, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x7fe20ac7, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x147a8eed, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x9b462671, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xb92cd19e, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x11e6ed0c, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xbfa894d0, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x46677498, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xecdb418d, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xf0167dab, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x69ddebdf, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x0ece96ec, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x7cd8b569, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xfc5f9d15, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xe58894db, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xcd5b48ff, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x23096b32, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xcd6bb71c, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x3a2e22db, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x9568338a, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xc557f979, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xe2c442e5, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5902dab5, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xfd689b79, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xdccd93bd, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x8c210875, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xb65fc518, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x9fae94aa, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x48ea2bea, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x252a4dda, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x5a6b6c91, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x1dcfb5ca, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xf8f459e4, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xdd8dc42b, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xa9050dd6, "_gpl");
SYMBOL_CRC(media_request_put, 0x493bf0f0, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xc59d4c4e, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x55aea24b, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xb76c1ae0, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x154d723c, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xc0835533, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xcabc4126, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x6174fa3e, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x92595fac, "_gpl");
SYMBOL_CRC(media_device_delete, 0x24648ee3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3fd6d296, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x79b999f6, "ida_destroy" },
	{ 0x11036e8f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ce0c5e9, "cdev_device_del" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1c41d869, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc153b3a1, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x2394489a, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5bb1c8b, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x38781027, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x49592562, "fwnode_graph_parse_endpoint" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe6f46e9, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0x758d9ebc, "fput" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x7fe081cd, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xe93ae6ac, "platform_bus_type" },
	{ 0x8f0537aa, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x21d29454, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xae2d95aa, "pci_bus_type" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xbc257f0a, "device_remove_file" },
	{ 0x799cf63, "bus_register" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.6");
