#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xf099e6d0, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x1dc453a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b84742b, "fasync_helper" },
	{ 0x5b86aec5, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcd35047b, "netdev_info" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x456f8bf8, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1303737, "from_kgid_munged" },
	{ 0xf042dfbe, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x28ec19a3, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7f02d72, "dev_get_tstats64" },
	{ 0x6386088c, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x156c3760, "rtnl_link_register" },
	{ 0xb657a35, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9a42799b, "misc_deregister" },
	{ 0x2ee2b7d0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xa7e890ea, "xdp_return_frame" },
	{ 0x5498abf4, "__wake_up_sync_key" },
	{ 0xf1a275cb, "kill_fasync" },
	{ 0x3bbf401, "netif_carrier_on" },
	{ 0xdadaa47f, "netif_carrier_off" },
	{ 0xdcffea13, "bpf_prog_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d9173cb, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa2d85894, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7b13c47, "skb_copy_ubufs" },
	{ 0x4f8ca21e, "netdev_core_stats_inc" },
	{ 0xb0e457cc, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xa57c35f3, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3bb73d1, "___pskb_trim" },
	{ 0x419001a8, "__skb_get_hash_symmetric_net" },
	{ 0x175d5141, "build_skb" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0x40e98f59, "skb_set_owner_w" },
	{ 0x79d92449, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x5e2c4565, "sock_init_data_uid" },
	{ 0x3341785, "sk_free" },
	{ 0x3dd199c2, "napi_gro_receive" },
	{ 0x1802d2a7, "napi_complete_done" },
	{ 0x146d5693, "xdp_do_redirect" },
	{ 0xb607b5d, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xf3cddce3, "__traceiter_xdp_exception" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa28d02f1, "xdp_return_frame_rx_napi" },
	{ 0x456c3dbe, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8fd5338f, "add_wait_queue" },
	{ 0x1a10915d, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x1faa44b4, "skb_queue_purge_reason" },
	{ 0x6231697, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8344f4e5, "xdp_rxq_info_unreg" },
	{ 0xb1607bc6, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x7f90a9da, "napi_get_frags" },
	{ 0x697478dd, "iov_iter_single_seg_count" },
	{ 0x8e8fa1fe, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x77908022, "netif_set_real_num_tx_queues" },
	{ 0x126050e3, "netif_set_real_num_rx_queues" },
	{ 0xa0fbbfcb, "unregister_netdevice_queue" },
	{ 0x4701bab5, "netdev_state_change" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9dc881c8, "__skb_flow_dissect" },
	{ 0x78713498, "skb_partial_csum_set" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb0792aa2, "xdp_rxq_info_is_reg" },
	{ 0xd003aec1, "__xdp_rxq_info_reg" },
	{ 0x54e1df41, "xdp_rxq_info_reg_mem_model" },
	{ 0xad213ae7, "netif_napi_add_weight" },
	{ 0x4a2cb1e9, "napi_enable" },
	{ 0x17e6fe55, "lock_sock_nested" },
	{ 0x6cb8523c, "sk_attach_filter" },
	{ 0xba2e801, "release_sock" },
	{ 0x574176e5, "__dev_get_by_name" },
	{ 0x60c44e2d, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xab61bd6f, "alloc_netdev_mqs" },
	{ 0x5e544a8a, "ip_tunnel_header_ops" },
	{ 0x1790d582, "register_netdevice" },
	{ 0xe85fba49, "netif_tx_wake_queue" },
	{ 0x5939d5b5, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb19459be, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x33b6d7d1, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2f8441f0, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xdad48586, "iov_iter_advance" },
	{ 0xa8f5bb70, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xeb324f58, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4cffc72a, "bpf_prog_get_type_dev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7c79bec2, "__page_frag_cache_drain" },
	{ 0xc19aba55, "eth_type_trans" },
	{ 0xf9d5e1, "xdp_master_redirect" },
	{ 0x428c73f8, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x97e10ea3, "__folio_put" },
	{ 0xa417ec20, "__put_devmap_managed_page_refs" },
	{ 0xa5960eae, "skb_page_frag_refill" },
	{ 0x749d204a, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x5ffffbd9, "_copy_from_iter" },
	{ 0x9bac0ffc, "iov_iter_npages" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x3a222926, "skb_copy_datagram_from_iter" },
	{ 0xad0a025, "sock_alloc_send_pskb" },
	{ 0x7f0b5b1a, "zerocopy_sg_from_iter" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xd6f256b8, "skb_push" },
	{ 0x27f3a52, "eth_get_headlen" },
	{ 0xc36bfa65, "napi_gro_frags" },
	{ 0x2c889d91, "iov_iter_revert" },
	{ 0x24b98f4, "napi_schedule_prep" },
	{ 0xee2aa554, "__napi_schedule" },
	{ 0xeec85c26, "get_net_ns" },
	{ 0xd3b23548, "open_related_ns" },
	{ 0xb62ca8d7, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xcd2c2f58, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x69885131, "netdev_update_features" },
	{ 0xf5f70b3, "dev_set_mac_address_user" },
	{ 0xfa41ff4c, "make_kuid" },
	{ 0xddd8a5d4, "init_user_ns" },
	{ 0xeeff9160, "from_kuid" },
	{ 0x730e88ec, "sk_detach_filter" },
	{ 0xf6daffec, "call_netdevice_notifiers" },
	{ 0x4dc670e5, "__module_get" },
	{ 0xf3950d4, "from_kgid" },
	{ 0x4d46166, "ethtool_op_get_link" },
	{ 0x62a63aeb, "ethtool_op_get_ts_info" },
	{ 0xd94ef79d, "passthru_features_check" },
	{ 0x952079fd, "eth_mac_addr" },
	{ 0xbe06c951, "eth_validate_addr" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "69317770A27BA864FFAF603");
MODULE_INFO(rhelversion, "9.6");
