#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x7147a0d8, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xb8800329, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x0bac6c0c, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xf056683d, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0xe1b821be, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x8f66d8e1, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x409dc7f7, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x3d445ea5, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xacf78d13, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x867f8603, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xb40ddbe8, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x80bc5633, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xc3ae316b, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x66344feb, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x50488650, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x578d58a0, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x82a45079, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xf3106a83, "");
SYMBOL_CRC(vhost_chr_poll, 0x83ce3141, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xcc65800e, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x4ad39c99, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x59327243, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xc5e088ac, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xd0766844, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xbf5cc7c7, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x897922ab, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xf32bca99, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x91072f13, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x160be637, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x5c830a47, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x33312837, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x52e1cff5, "_gpl");
SYMBOL_CRC(vhost_signal, 0x2c9b21e5, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x83f3d9ca, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x84cb1c8a, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x2232d6e2, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x25973a17, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x52fd7f79, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x7f57e39d, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xd059dba5, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x9c5b1d0b, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xe4c9a0f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8fd5338f, "add_wait_queue" },
	{ 0x1a10915d, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xda591452, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x58b1c7b7, "cgroup_attach_task_all" },
	{ 0x92b2c507, "mmput" },
	{ 0xb8ea204d, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x651f65dd, "__wake_up" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0xfea41ce3, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x55d33304, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x419d293, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc1cc278b, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x758d9ebc, "fput" },
	{ 0xbcd44a78, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x661ce402, "iov_iter_init" },
	{ 0x5ffffbd9, "_copy_from_iter" },
	{ 0x2c889d91, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33b6d7d1, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xef8c43cf, "prepare_to_wait" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2a7f6fd6, "get_task_mm" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xdad48586, "iov_iter_advance" },
	{ 0xc7313f8f, "eventfd_fget" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0x9ea3f501, "param_ops_ushort" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
