#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x3b335742, "");
SYMBOL_CRC(w1_remove_master_device, 0x31eae0e4, "");
SYMBOL_CRC(w1_register_family, 0x16a24031, "");
SYMBOL_CRC(w1_unregister_family, 0x797c9ba5, "");
SYMBOL_CRC(w1_touch_bit, 0x67787df4, "_gpl");
SYMBOL_CRC(w1_write_8, 0x0de0b1f3, "_gpl");
SYMBOL_CRC(w1_triplet, 0x54f9721d, "_gpl");
SYMBOL_CRC(w1_read_8, 0xb2b18935, "_gpl");
SYMBOL_CRC(w1_write_block, 0xcf98bcb1, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xae639a25, "_gpl");
SYMBOL_CRC(w1_read_block, 0x0d0b4f01, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xac554836, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xf487889b, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x6a921f1b, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xf0923f5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x11036e8f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd56838d, "device_unregister" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x6a00b355, "sysfs_remove_groups" },
	{ 0x3eea0b3, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xda591452, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38781027, "put_device" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0x645e0a2a, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0x121eaa31, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3f0e85bd, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x394e1f77, "driver_unregister" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcd44a78, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x7c145573, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xe14020b, "kobject_uevent" },
	{ 0xa553988a, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0x306d5ee0, "of_find_matching_node_and_match" },
	{ 0x715b9c16, "driver_register" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x799cf63, "bus_register" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.6");
