#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x97e29a25, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x5fb93680, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xdbecd206, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0xfd04ebbf, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xfd085e5d, "_gpl");
SYMBOL_CRC(lockd_up, 0xb0117df8, "_gpl");
SYMBOL_CRC(lockd_down, 0x922699bb, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x1a7ad735, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc8c8e99, "rpc_put_task" },
	{ 0xb8122bb, "svc_generic_rpcbind_set" },
	{ 0xa7ae6ee7, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xcaaa40ff, "__init_rwsem" },
	{ 0x2c0bf539, "bpf_trace_run4" },
	{ 0xc593c16b, "param_ops_uint" },
	{ 0xc6960573, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7e6f53d2, "rpc_shutdown_client" },
	{ 0xdd68e1e7, "svc_bind" },
	{ 0x54b57c5d, "proc_create" },
	{ 0xf59209fa, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x450ba2df, "xdr_inline_decode" },
	{ 0x7dfa03, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x7db166ba, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xef8c43cf, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2b7cd39e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b4b0452, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x96348e0e, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x96a5965e, "svc_exit_thread" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x639ecc4c, "event_triggers_call" },
	{ 0x651f65dd, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x96a3d3da, "param_get_ulong" },
	{ 0x3f0a925d, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x63fa41a4, "__put_cred" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0xe3b48404, "locks_in_grace" },
	{ 0xda591452, "wake_up_process" },
	{ 0x5c63e44, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x126e7def, "proc_dobool" },
	{ 0x72905991, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9224a58c, "unregister_sysctl_table" },
	{ 0x9515887b, "trace_event_ignore_this_pid" },
	{ 0xaf00b8b5, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x34051a31, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94d3a90b, "simple_transaction_release" },
	{ 0x5bb5ee2f, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3d1b0d76, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x714e4273, "perf_trace_run_bpf_submit" },
	{ 0x77a03a4d, "down_write" },
	{ 0x2fa02304, "init_net" },
	{ 0xc192f218, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9708e233, "svc_set_num_threads" },
	{ 0x1dbad560, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x20fc1259, "vfs_cancel_lock" },
	{ 0xf146409f, "proc_doulongvec_minmax" },
	{ 0x9f2f70ed, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xba121b7f, "freezing_slow_path" },
	{ 0x7c475fba, "rpc_create" },
	{ 0xcbb843c2, "svc_destroy" },
	{ 0x6e7a5d93, "rpc_call_start" },
	{ 0x88c663fc, "svc_create" },
	{ 0xda8551c1, "default_llseek" },
	{ 0xd67d3ff2, "rpc_call_sync" },
	{ 0xe2e998bc, "proc_mkdir" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xca7946ec, "vfs_lock_file" },
	{ 0xca5f3010, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x76032a61, "svc_generic_init_request" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x79b137ef, "down_read" },
	{ 0x664e64a6, "svc_set_client" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xe35048d1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf1e6bae4, "rpc_force_rebind" },
	{ 0x4025fc95, "trace_event_buffer_reserve" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0xb063f238, "rpc_restart_call" },
	{ 0x4f74cf60, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x826c6e44, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c64dc94, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x735887d9, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8a84b61, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x952f8884, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc64500fc, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x91f0d1b4, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2d545fd0, "up_read" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x26016a2d, "svc_xprt_create" },
	{ 0x2bc30bbe, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xae13ea7a, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ea6a97b, "proc_dointvec_minmax" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
