#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x019a5856, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xf33879c8, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x1ebd7efa, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xad361566, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x9c330658, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xf882f0f4, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x5e997d8c, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x72ea5399, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x63a34321, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xbe2f4692, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x534e0f0c, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x76ba8462, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xd6c59bd8, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xe30a0d29, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xa5ae785d, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x1305c1d5, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x1404d8df, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xbd8c4933, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xbb598315, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xcf98a9a3, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x34632f29, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x5bb96cf2, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xe59c1ce1, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x9e2c2e2d, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x201f0e5f, "_gpl");
SYMBOL_CRC(print_tuple, 0xa061881e, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xda46a402, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xb3a708d6, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xb50b201c, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x3e607436, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x8e99fe42, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xac92619b, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x6efb2ece, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x2cec70af, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x11f70e7c, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x4fc0dcdd, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x2b31828e, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x79d47762, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xee9ff0bb, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xd7188d08, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x0b1cfbf7, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x3ca5a2b8, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x637e638b, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xd1ae4363, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x8d6400b8, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x05f01c1f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x5b187ce1, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x1db13259, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb356d3a1, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xed0ebdbf, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xa09b831e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xd4230d9f, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x7019c5ce, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x8a12e4fe, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xb38bd8b2, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xb05df44e, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xb7e1db20, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xcd4853d7, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x545a3fb3, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x07081c19, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xdbf37713, "_gpl");
SYMBOL_CRC(nf_confirm, 0x7b05aec3, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x19a9e6ca, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xe6cceb68, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x68a10f0e, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x32d247ee, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xb9ab6956, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x59da30fe, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xef92bc88, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x3b734fe2, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x9ed24e74, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x3db902a6, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x5fc3fbe4, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x859b6139, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x87032e73, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x7e3083da, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xa384bac6, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x25f6914d, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xa956498f, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xcddbb6a6, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xf3cc320f, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x59a34739, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xd3e05bdd, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xfb1dbb46, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xfaa67b65, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x154bb5d9, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xfda3594d, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xcf25a244, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xff97c876, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xa7cac189, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x7512a463, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb92c343, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd098cb6f, "nf_defrag_ipv4_disable" },
	{ 0x8f2745cf, "nf_ip6_checksum" },
	{ 0x588ccf47, "proc_dou8vec_minmax" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0xc593c16b, "param_ops_uint" },
	{ 0xb96a096e, "proc_dointvec_jiffies" },
	{ 0x40f1a224, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3b76be1f, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xcc85a550, "nfct_btf_struct_access" },
	{ 0x919359f2, "param_set_uint" },
	{ 0xd82a0360, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b4f5187, "nf_ct_frag6_gather" },
	{ 0x56c4d4ae, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0xa312b9e9, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9360bfae, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8bb7c670, "nf_unregister_sockopt" },
	{ 0xdf314ae8, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfa41ff4c, "make_kuid" },
	{ 0x80e6b8b0, "nf_defrag_ipv6_disable" },
	{ 0xfbcfc47e, "ipv6_skip_exthdr" },
	{ 0x30d49be7, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xea21ae83, "nf_checksum" },
	{ 0x9dbc9185, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2fa02304, "init_net" },
	{ 0x2a75747b, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x1ef5fcce, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd5525740, "nf_checksum_partial" },
	{ 0x38efa240, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3c2097a3, "nf_unregister_net_hooks" },
	{ 0x17e6fe55, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xa378af8e, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xde69876f, "nf_log_packet" },
	{ 0xcd2c2f58, "make_kgid" },
	{ 0xab8df851, "nf_ip_checksum" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xf10c2379, "register_btf_kfunc_id_set" },
	{ 0x26d89c34, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79b137ef, "down_read" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xc6b49eec, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78d9528f, "__skb_checksum" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe1aaf979, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0x6c5b5d73, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x826c6e44, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf98b4439, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x735887d9, "proc_dointvec" },
	{ 0x57e29080, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6f793ec8, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x98f50d9f, "unregister_net_sysctl_table" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfd23092e, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x1c8552e4, "pskb_trim_rcsum_slow" },
	{ 0x2d545fd0, "up_read" },
	{ 0x2c895779, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0xba2e801, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "0DA85C06403759E7A5359CC");
MODULE_INFO(rhelversion, "9.6");
