#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xa6be0507, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xe961713a, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x312b8020, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x12736096, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x90048a3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6cd7c59, "nvdimm_region_notify" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6d63452f, "nd_region_provider_data" },
	{ 0xcae054b9, "nvdimm_bus_add_badrange" },
	{ 0xed1cf325, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x28e6c8bc, "to_nvdimm" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x4a30b609, "__nvdimm_create" },
	{ 0x39bfd6dd, "to_nd_region" },
	{ 0xdf5a986b, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x19f18c35, "acpi_dev_remove_notify_handler" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0x5c37f852, "kernfs_notify" },
	{ 0xd4a09577, "to_nvdimm_bus" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0x4324a92e, "__acpi_bus_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d946283, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xecb36e7d, "acpi_dev_install_notify_handler" },
	{ 0x77702cbd, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x121eaa31, "_dev_err" },
	{ 0x4bfaa139, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x194bd210, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x781ce872, "kernfs_find_and_get_ns" },
	{ 0xc51a8711, "nvdimm_name" },
	{ 0x33444845, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xeb77149a, "nvdimm_volatile_region_create" },
	{ 0x4fc01456, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7ea99f67, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xff1a1dcc, "nvdimm_to_bus" },
	{ 0x1fa3ce45, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2ad5ef7b, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x5ba4797, "nd_cmd_in_size" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0xca9d0f21, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x259e4835, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xcd1cc792, "nvdimm_pmem_region_create" },
	{ 0x66caebb0, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x695a912b, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xd580d38b, "nvdimm_cmd_mask" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "6A06EB963B61AD7139BD806");
MODULE_INFO(rhelversion, "9.6");
