#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xe350742e, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x8aabe06d, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x5efa08f0, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xe813fd0f, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x4144bb25, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x5b2d8cac, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xb8623789, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xd4aae4cf, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xf3d0989b, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xfd79aaaa, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x72b27f64, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xe2e92407, "_gpl");
SYMBOL_CRC(mhi_notify, 0x513970ca, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xfc21d79c, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x14d9b65b, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x42efab2d, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x80a5bbd3, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x46a054d2, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xdbf2b84d, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xeb6e5378, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x1cd7e5c6, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xf30e1318, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x18227f70, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x806d8262, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x22e52806, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xa75e611c, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xecab30f9, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x2a46861e, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x46cb5123, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xbc8dc749, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x102ea96b, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xa79632f4, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x7f904429, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6f2dd75d, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2c0bf539, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc63a78e6, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x11036e8f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dfa03, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x9db06f1a, "dma_unmap_page_attrs" },
	{ 0x2403d100, "request_firmware" },
	{ 0x7db166ba, "trace_event_printf" },
	{ 0x1c41d869, "device_initialize" },
	{ 0x2b7cd39e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd854200f, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8143546, "bpf_trace_run2" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x639ecc4c, "event_triggers_call" },
	{ 0x2394489a, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0x5c63e44, "trace_event_buffer_commit" },
	{ 0xb25d4769, "dma_map_page_attrs" },
	{ 0xcecde75c, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38781027, "put_device" },
	{ 0x9515887b, "trace_event_ignore_this_pid" },
	{ 0x5c2dcbdb, "sysfs_remove_file_ns" },
	{ 0x49fb3a34, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x714e4273, "perf_trace_run_bpf_submit" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xf0a6f265, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xab593bc6, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xfd44c3a8, "dma_alloc_attrs" },
	{ 0x9f2f70ed, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7fe081cd, "ida_free" },
	{ 0x394e1f77, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf7811ea8, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x6ccddc54, "bpf_trace_run3" },
	{ 0xbb0374b0, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7112b35a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4025fc95, "trace_event_buffer_reserve" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4412394e, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6c0620a3, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x715b9c16, "driver_register" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x799cf63, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.6");
