#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x7fe14cc0, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x3b7f51c9, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xe3dafc53, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xfc23a8e4, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x981fb6f0, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xf3073909, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x407f665f, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xa2e0b00b, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x85af9535, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xbce30aaa, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x1f3dc1ce, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xd62b2d6e, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xa86cf0f3, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x17c335d8, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x5aa120b8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabbbb57a, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xa7aef2f1, "dma_mmap_pages" },
	{ 0xeeacdba3, "dma_free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x3db649c8, "drm_gem_create_mmap_offset" },
	{ 0x89088770, "drm_gem_object_init" },
	{ 0x79c6ce94, "drm_atomic_helper_damage_iter_init" },
	{ 0xd58575b4, "dma_alloc_pages" },
	{ 0xcbdfeea0, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4f5fd08a, "drm_gem_vm_close" },
	{ 0x202d9a9a, "drm_gem_vm_open" },
	{ 0x77a03a4d, "down_write" },
	{ 0xc192f218, "up_write" },
	{ 0xf7a51b1c, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfd44c3a8, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x3cd034f6, "drm_gem_handle_create" },
	{ 0xffbefb6a, "drm_gem_fb_get_obj" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0x7112b35a, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x3358be33, "__dma_sync_single_for_device" },
	{ 0x438c21c, "dma_buf_vmap_unlocked" },
	{ 0xf3338ac0, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x79b5edc8, "dma_get_sgtable_attrs" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x472f223b, "drm_prime_gem_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "022E95739579CC8FE5ED61C");
MODULE_INFO(rhelversion, "9.6");
