#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x277b54fc, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xe317f4b0, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xe5fcaf9d, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x69940f2c, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xc0baa67a, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x9e2807d7, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x90ccc6b0, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x8f41dc44, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x97cc7198, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x4bf7c8f2, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x79e33444, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x799503b5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x57e3adf1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xe63db601, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xc18ec7ab, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x5adc425c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xcf69740f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x2870dc93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f03b990, "ww_mutex_lock_interruptible" },
	{ 0x1e246221, "vmf_insert_pfn" },
	{ 0x757e7aaa, "drm_gem_get_pages" },
	{ 0xa309b61c, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1884dc23, "invalidate_mapping_pages" },
	{ 0xe3d0f85f, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x126b5885, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x31fffd50, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x3db649c8, "drm_gem_create_mmap_offset" },
	{ 0x89088770, "drm_gem_object_init" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0xcbdfeea0, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4f5fd08a, "drm_gem_vm_close" },
	{ 0x202d9a9a, "drm_gem_vm_open" },
	{ 0x77a03a4d, "down_write" },
	{ 0xc192f218, "up_write" },
	{ 0xf7a51b1c, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x67776878, "ww_mutex_lock" },
	{ 0xfeb88e91, "vmap" },
	{ 0x3cd034f6, "drm_gem_handle_create" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0x31373d67, "drm_prime_pages_to_sg" },
	{ 0xa906bf5f, "dma_buf_vunmap" },
	{ 0xd52ef1ab, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xace19c2f, "dma_map_sgtable" },
	{ 0x1c7cdfc7, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1bd97611, "dma_unmap_sg_attrs" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x3b45a657, "drm_gem_put_pages" },
	{ 0xee95d43c, "drm_gem_private_object_fini" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x472f223b, "drm_prime_gem_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "A6CE38331A05B1B8CAE5812");
MODULE_INFO(rhelversion, "9.6");
