#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xd6e4cda7, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0x6673b1d3, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0x3c3028cc, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xd0a03b42, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0xffd832ad, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x2d2b4039, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x1a9fac86, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0xfb9daa96, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0xb505c25f, "_gpl");
SYMBOL_CRC(coresight_disable, 0xe90d3534, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x2ad45f97, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x27155638, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0xa0032a5e, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x243b2a90, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xc4228a0c, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x239c39f6, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0xa6e8d247, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x28d53a06, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x9d518d74, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0xc822820b, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x5339c1ed, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x418fdc81, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x6f14a1a6, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0x46244c33, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x96acfb46, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xe8bcacb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7f7ec92, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xf6158a7f, "is_acpi_device_node" },
	{ 0xe626fea4, "of_fwnode_ops" },
	{ 0xd48e38a4, "config_group_init" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x3aacdb49, "of_get_next_parent" },
	{ 0x11036e8f, "dev_set_name" },
	{ 0xe62f061b, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x736a3e9e, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x466f284d, "sysfs_add_file_to_group" },
	{ 0xbd56838d, "device_unregister" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xeef3a6d7, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x41b337f5, "processors" },
	{ 0x5bcd63ea, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x2394489a, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6253e420, "configfs_unregister_subsystem" },
	{ 0x5d33d320, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x425689d3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38781027, "put_device" },
	{ 0x463880cc, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xa645a700, "bus_for_each_dev" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0xa5185ca, "config_item_set_name" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x75ff55ac, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xdcbe65b3, "sysfs_remove_link_from_group" },
	{ 0xec0fe2b8, "perf_pmu_register" },
	{ 0xbb07645e, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0xa0f7fd62, "devm_kfree" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xfbe1080, "bus_find_device" },
	{ 0xa194225f, "configfs_register_subsystem" },
	{ 0x80144ea9, "__of_parse_phandle_with_args" },
	{ 0x8dfb7d00, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x28da2cd1, "config_group_init_type_name" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xb2304580, "perf_pmu_unregister" },
	{ 0x96369071, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xcb9d6a7a, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa5f791f2, "of_graph_get_next_endpoint" },
	{ 0x666709be, "sysfs_remove_file_from_group" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7c145573, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3834252f, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xdc16bef8, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x479df241, "devm_kasprintf" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x40b68ccf, "fwnode_property_present" },
	{ 0x713a00ae, "__pm_runtime_resume" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x1ed69b9, "acpi_fetch_acpi_dev" },
	{ 0x63907934, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfc5f942f, "amba_bustype" },
	{ 0xe93ae6ac, "platform_bus_type" },
	{ 0x36e4b1a8, "sysfs_add_link_to_group" },
	{ 0x79814bae, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc9cd0c06, "of_node_name_eq" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x21402d80, "perf_aux_output_flag" },
	{ 0x522c8f99, "configfs_unregister_group" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x1966d8b9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd106e4a0, "__dev_fwnode" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x799cf63, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
