#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x92b68692, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x5a2ad550, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x5988819b, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x1ef93802, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xb564a169, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xf2810e23, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x19258962, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xbbd09948, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x4fcdb503, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x697bd359, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xc57349f8, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xa2ec6eec, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x9a0983f2, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x1c805dd9, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x59fa76f9, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0xa29479a6, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xd5b27a75, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xd129feb3, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x8c48d95f, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x61719d24, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xffc16006, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xdca00666, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xbae842d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfea41ce3, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x3fd6d296, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcaaa40ff, "__init_rwsem" },
	{ 0x9a42799b, "misc_deregister" },
	{ 0xbc4f68e4, "iommu_device_claim_dma_owner" },
	{ 0x478ae386, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfebf8cbe, "iommu_group_get" },
	{ 0x2b9510bb, "pin_user_pages_remote" },
	{ 0x647afb95, "iommu_iova_to_phys" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x57b89dd4, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5e932201, "fget" },
	{ 0x8288f720, "__put_task_struct" },
	{ 0x18b18df4, "__xas_next" },
	{ 0xb31f935c, "xas_find" },
	{ 0x5318629b, "iommu_dev_disable_feature" },
	{ 0xcb6108ba, "unpin_user_pages" },
	{ 0xc153b3a1, "fd_install" },
	{ 0xc77781d, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xec7f50f3, "unpin_user_page_range_dirty_lock" },
	{ 0x4e021da5, "__account_locked_vm" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x651f65dd, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x32e687cf, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x419d293, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6f5931d1, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x747beab, "iommu_detach_group" },
	{ 0x52d71b1, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc1eb16fc, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xe1f3a48e, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x758d9ebc, "fput" },
	{ 0x77a03a4d, "down_write" },
	{ 0xbcb36c1c, "iommu_domain_free" },
	{ 0xc192f218, "up_write" },
	{ 0x15211a31, "iommu_get_msi_cookie" },
	{ 0x7487c7c6, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6c715a7a, "iommu_unmap" },
	{ 0xaaba9a5b, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xfc682d4, "xas_load" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xe0f6e938, "iommu_attach_handle_get" },
	{ 0xf82e3ecc, "iommu_replace_group_handle" },
	{ 0xcd539b6a, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0xb657a35, "misc_register" },
	{ 0x7cd6ec7c, "unpin_user_page" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xcfcbcd58, "iommu_put_resv_regions" },
	{ 0x79b137ef, "down_read" },
	{ 0xb8ea204d, "__mmdrop" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x87573709, "__xa_cmpxchg" },
	{ 0x44f5c7a, "nonseekable_open" },
	{ 0xcb0b2b86, "xa_erase" },
	{ 0x3d8cd6fa, "__mmap_lock_do_trace_start_locking" },
	{ 0x8c250b91, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92b2c507, "mmput" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x944dacc2, "xa_destroy" },
	{ 0x88e743c6, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x1686a4d9, "__mmap_lock_do_trace_released" },
	{ 0x7d5300c3, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x78db1b22, "set_page_dirty_lock" },
	{ 0x3b8148df, "device_iommu_capable" },
	{ 0xb97efe99, "xas_nomem" },
	{ 0x3691a8c4, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc1cc278b, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x45c836f3, "iommu_attach_group_handle" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x2a2dfcd5, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x8ed8525c, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x2d545fd0, "up_read" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xae2d95aa, "pci_bus_type" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.6");
