#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x5fbeed75, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xeff3e2e0, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xaebbbac3, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x75636e87, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x2d8b399c, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x6f79a16e, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xd6f48ce7, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xddf672dd, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x0a5478da, "_gpl");
SYMBOL_CRC(can_bus_off, 0x415bad95, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x5e43cd1a, "_gpl");
SYMBOL_CRC(free_candev, 0x84167cb8, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xb20e5efd, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xd69bb63e, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x5b688ed0, "");
SYMBOL_CRC(open_candev, 0x7e4c72fb, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x4c9e17b4, "_gpl");
SYMBOL_CRC(close_candev, 0x0d00c296, "_gpl");
SYMBOL_CRC(register_candev, 0x65125da1, "_gpl");
SYMBOL_CRC(unregister_candev, 0x9770a48f, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xe09f63c1, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4e6a4501, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3cbb6ed, "skb_put" },
	{ 0x31d041a0, "gpiod_set_value" },
	{ 0xa57c35f3, "skb_tstamp_tx" },
	{ 0x32a25d83, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a1f1aaf, "unregister_netdev" },
	{ 0x156c3760, "rtnl_link_register" },
	{ 0x45f80f86, "netdev_warn" },
	{ 0x74bc2a29, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa8f5bb70, "netdev_err" },
	{ 0xab61bd6f, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x879e6ed0, "device_property_read_u32_array" },
	{ 0xbb07645e, "of_get_child_by_name" },
	{ 0x2ee2b7d0, "rtnl_link_unregister" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd4d77646, "register_netdev" },
	{ 0xb19459be, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x89b8b503, "sock_efree" },
	{ 0x32be0c08, "netif_rx" },
	{ 0xa5dae726, "__netdev_alloc_skb" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0x1ee86c43, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdadaa47f, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf52d9f66, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3bbf401, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5d3cf8d1, "dev_err_probe" },
	{ 0x8aac54f0, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa2d85894, "skb_clone_tx_timestamp" },
	{ 0xcd35047b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
