#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xdeb2f0b8, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xea6c0bdf, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x387ac578, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x156c3760, "rtnl_link_register" },
	{ 0x87a0088c, "genl_register_family" },
	{ 0x2ee2b7d0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xa27a5c06, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2a25b194, "crypto_alloc_aead" },
	{ 0x6d837681, "crypto_aead_setkey" },
	{ 0xd0197dc8, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x790adc37, "skb_pull" },
	{ 0xc3bb73d1, "___pskb_trim" },
	{ 0x5939d5b5, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x58bf47da, "dev_mc_sync" },
	{ 0x4e26b9bf, "dev_uc_sync" },
	{ 0x6d1b30a9, "dev_set_allmulti" },
	{ 0xeaef1c19, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x76cf00d4, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfc2d1298, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf52d9f66, "skb_clone" },
	{ 0x5b37f486, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1790d582, "register_netdevice" },
	{ 0xc5b0ee5a, "netdev_upper_dev_link" },
	{ 0x2975f782, "netdev_upper_dev_unlink" },
	{ 0xa0fbbfcb, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x459cd6c3, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x10e5e45a, "netif_stacked_transfer_operstate" },
	{ 0x10fd855b, "linkwatch_fire_event" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0xaa990425, "netdev_rx_handler_register" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3f402b08, "skb_copy_expand" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0xd6f256b8, "skb_push" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0xc316d23f, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4522ebc0, "skb_to_sgvec" },
	{ 0xa575c0b5, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xc661702b, "skb_copy" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xf289385b, "dst_release" },
	{ 0xf59e765f, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3017324c, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1e8ee087, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x39682af9, "netdev_rx_handler_unregister" },
	{ 0x8b34ddfd, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdadaa47f, "netif_carrier_off" },
	{ 0xfed2651c, "dev_mc_unsync" },
	{ 0xbc5d337c, "dev_uc_unsync" },
	{ 0xe0bd01ae, "dev_uc_del" },
	{ 0x7c699813, "dev_uc_add" },
	{ 0x3bbf401, "netif_carrier_on" },
	{ 0xc19aba55, "eth_type_trans" },
	{ 0xc1e093d1, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6f266573, "genlmsg_put" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.6");
