#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x53b63cf3, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x26eda76f, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xa8bef1a4, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xc1614d22, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x223b2944, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x9eabb44e, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xa9792daa, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xf91e143e, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x1a8e969d, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xfec5b745, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xab4a7e78, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xc79446b0, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x13804f1a, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xd6f9fccd, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xbc6c9089, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x6400ad71, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xf0ea7d8b, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x7a384dc0, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x85c2228f, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x0a60998d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xc1568b67, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe724c82d, "mdiobus_write" },
	{ 0x529ac457, "mdiobus_read" },
	{ 0xa5d4382a, "phy_write_mmd" },
	{ 0xe02f506d, "phy_modify" },
	{ 0xe20ca97c, "phy_trigger_machine" },
	{ 0x4152c1c9, "phy_error" },
	{ 0x347ed986, "phy_modify_changed" },
	{ 0x6686c216, "genphy_update_link" },
	{ 0xc3ffe9e0, "genphy_read_lpa" },
	{ 0xa3c79aa7, "phy_resolve_aneg_pause" },
	{ 0x1ad7ac49, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x121eaa31, "_dev_err" },
	{ 0x90b61368, "phy_read_mmd" },
	{ 0xcda33cc0, "ethnl_cable_test_result_with_src" },
	{ 0x7c8ac6d9, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf0215193, "phy_modify_mmd" },
	{ 0x40e22d1a, "genphy_soft_reset" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
