#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x06a28e1e, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x13621e4d, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x9a9999a7, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xadb0b4c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x5031d59a, "__skb_checksum_complete" },
	{ 0x26295f70, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0x5faf94ea, "__nlmsg_put" },
	{ 0xeaa8045c, "netdev_adjacent_change_commit" },
	{ 0x952079fd, "eth_mac_addr" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7feaa244, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc4873156, "ip6_dst_hoplimit" },
	{ 0x9ea3f501, "param_ops_ushort" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x107ed323, "udp_sock_create4" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xf85691b9, "udp_tunnel6_xmit_skb" },
	{ 0x156c3760, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xfa5d47ec, "__unregister_nexthop_notifier" },
	{ 0x4352085, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbe06c951, "eth_validate_addr" },
	{ 0x77c56845, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3017324c, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x93d9b98a, "rtnl_create_link" },
	{ 0xa0fbbfcb, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x86e7bd37, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x5939d5b5, "ether_setup" },
	{ 0xa07a758f, "udp_tunnel_drop_rx_port" },
	{ 0xc5b0ee5a, "netdev_upper_dev_link" },
	{ 0x8e8fa1fe, "pskb_expand_head" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0xc19aba55, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x85440614, "__alloc_skb" },
	{ 0x894b0438, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x73451df1, "eth_gro_complete" },
	{ 0x66227b8c, "rtnl_set_sk_err" },
	{ 0xd80a6996, "eth_gro_receive" },
	{ 0xeb5fa28, "rtnl_configure_link" },
	{ 0xf55219ab, "skb_tunnel_check_pmtu" },
	{ 0x94ef252d, "udp_tunnel_dst_lookup" },
	{ 0x97c47900, "rtnl_unicast" },
	{ 0xa2b04b13, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xe362b1e1, "__skb_get_hash_net" },
	{ 0x1adad115, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfc2d1298, "__dev_get_by_index" },
	{ 0x2ee2b7d0, "rtnl_link_unregister" },
	{ 0xe7820866, "ipv6_stub" },
	{ 0x790adc37, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x4fa0dc67, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4cd54bdd, "dev_get_by_index_rcu" },
	{ 0xc1e093d1, "gro_cells_receive" },
	{ 0xd6f256b8, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x2975f782, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb19459be, "free_netdev" },
	{ 0x7b751d31, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x227d1de2, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x17e6fe55, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d46166, "ethtool_op_get_link" },
	{ 0x48b29b44, "nexthop_find_by_id" },
	{ 0x92125fd7, "arp_create" },
	{ 0xdde07f18, "__ethtool_get_link_ksettings" },
	{ 0xfad1d616, "netdev_adjacent_change_prepare" },
	{ 0x464d8439, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3fb35e35, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xdfe8d2b0, "rht_bucket_nested_insert" },
	{ 0x16f66f84, "netdev_adjacent_change_abort" },
	{ 0xa20d5a2a, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc135c537, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xac502df, "__iptunnel_pull_header" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0xe7f02d72, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x32be0c08, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x177f231e, "rhashtable_destroy" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x7938f0d5, "setup_udp_tunnel_sock" },
	{ 0x3beff7ff, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1ee86c43, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76d43144, "skb_scrub_packet" },
	{ 0xe8f811aa, "nexthop_select_path" },
	{ 0xaa1cd90, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe08f1d92, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x69c6f1d, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb1e1274b, "param_ops_bool" },
	{ 0x813b3a7c, "udp_tun_rx_dst" },
	{ 0x99b19b96, "rtnl_notify" },
	{ 0x6c22c59b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b37f486, "__netif_rx" },
	{ 0xf52d9f66, "skb_clone" },
	{ 0x459cd6c3, "metadata_dst_alloc" },
	{ 0xf289385b, "dst_release" },
	{ 0xb4ab98e9, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa05c7248, "udp_tunnel_notify_del_rx_port" },
	{ 0x5044b42d, "register_nexthop_notifier" },
	{ 0x53f724d1, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x56e22510, "gro_find_receive_by_type" },
	{ 0x4f8ca21e, "netdev_core_stats_inc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xcd35047b, "netdev_info" },
	{ 0x9890fa49, "neigh_lookup" },
	{ 0xba2e801, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1790d582, "register_netdevice" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
