#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0xb0556656, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xcddf7141, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x598e379e, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x5f7080af, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x398fd5d8, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0xedf79be4, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xcaee6830, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x61e6e73a, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0xf7cedbfe, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xd51cf309, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x430acc33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xaee13318, "brcmu_pktq_mlen" },
	{ 0x7f51e059, "cfg80211_sched_scan_results" },
	{ 0xa484b41d, "sdio_retune_hold_now" },
	{ 0x6aad02ee, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf1b0158f, "usb_alloc_urb" },
	{ 0x9cb12b7d, "sdio_disable_func" },
	{ 0xdc7b58d3, "cfg80211_mgmt_tx_status_ext" },
	{ 0x496c2d58, "device_set_wakeup_enable" },
	{ 0x3c5944dc, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8627abbb, "sdio_set_block_size" },
	{ 0xf6158a7f, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf7a633f1, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x8091112c, "pci_enable_device" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0xf17f4824, "brcmu_pkt_buf_free_skb" },
	{ 0x32a25d83, "of_property_read_variable_u32_array" },
	{ 0x76e5b526, "sdio_retune_crc_disable" },
	{ 0x8ffba9b0, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf66578cf, "firmware_request_nowarn" },
	{ 0x4c0471ca, "platform_driver_unregister" },
	{ 0x66551aa3, "sdio_claim_host" },
	{ 0x7f81b731, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb4a3463e, "sdio_memcpy_fromio" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0x43e589b0, "sdio_register_driver" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4a1f1aaf, "unregister_netdev" },
	{ 0xa1488808, "cfg80211_remain_on_channel_expired" },
	{ 0x9d10bef8, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x64d92cae, "cfg80211_register_netdevice" },
	{ 0x9db06f1a, "dma_unmap_page_attrs" },
	{ 0x2403d100, "request_firmware" },
	{ 0x745f6a8a, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x3f8139eb, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xde4c7a19, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8fd5338f, "add_wait_queue" },
	{ 0x2f5db3c4, "cfg80211_port_authorized" },
	{ 0xa20c9053, "brcmu_pktq_init" },
	{ 0x280dcfca, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x3bda759e, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x651f65dd, "__wake_up" },
	{ 0xafec6157, "cfg80211_new_sta" },
	{ 0x95496ccb, "of_irq_parse_one" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x8eb84487, "cfg80211_disconnected" },
	{ 0x5939d5b5, "ether_setup" },
	{ 0x8afb0b85, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3bdbfbb9, "of_get_property" },
	{ 0x8e8fa1fe, "pskb_expand_head" },
	{ 0xda591452, "wake_up_process" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0x5f3dc2c1, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xc19aba55, "eth_type_trans" },
	{ 0xbc09e575, "pci_read_config_dword" },
	{ 0xb25d4769, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xab61bd6f, "alloc_netdev_mqs" },
	{ 0x874a59ed, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x6f55da82, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x425689d3, "devm_kstrdup" },
	{ 0xe5fe0379, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x482d98f1, "sdio_release_irq" },
	{ 0xc70f5c4b, "cfg80211_crit_proto_stopped" },
	{ 0x7b510c40, "wiphy_register" },
	{ 0x49287fec, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5ec2c512, "cfg80211_put_bss" },
	{ 0x465e83f6, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf3f807df, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0x5333af8d, "of_get_mac_address" },
	{ 0x4860205a, "skb_queue_tail" },
	{ 0x27434b09, "ieee80211_get_channel_khz" },
	{ 0x84f61e85, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb63c8269, "sdio_set_host_pm_flags" },
	{ 0xff7da8fc, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xd5e3b26, "sdio_unregister_driver" },
	{ 0xe4400743, "sdio_readsb" },
	{ 0x62f79f17, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x874f29, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xf0a6f265, "device_wakeup_enable" },
	{ 0x32881fd1, "cfg80211_ibss_joined" },
	{ 0x9ac0fc87, "request_firmware_nowait" },
	{ 0xd46db535, "simple_open" },
	{ 0x790adc37, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x7eed77c3, "irq_get_irq_data" },
	{ 0x39b5f8a2, "wiphy_apply_custom_regulatory" },
	{ 0x52aa3469, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xd6f256b8, "skb_push" },
	{ 0x2d1e797a, "sdio_retune_crc_enable" },
	{ 0x256e092f, "brcmu_pktq_flush" },
	{ 0xa6198bc5, "brcmu_pktq_peek_tail" },
	{ 0xfd44c3a8, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x431aa136, "cfg80211_del_sta_sinfo" },
	{ 0x20bce594, "sdio_readl" },
	{ 0xf578a122, "mmc_set_data_timeout" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd4d77646, "register_netdev" },
	{ 0x10cf4670, "wiphy_unregister" },
	{ 0xb19459be, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x416e21f6, "of_property_read_string" },
	{ 0xdf3ce981, "wiphy_read_of_freq_limits" },
	{ 0x96369071, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcd44a78, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7b3c471b, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xd01cbe, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe85fba49, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0x2eed8a7c, "brcmu_pktq_pdeq_match" },
	{ 0xaaf7b299, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x10bf680c, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc934943c, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xc38dc3be, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0x32be0c08, "netif_rx" },
	{ 0xa5dae726, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x9b9e3bfa, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x1426c6f1, "skb_unlink" },
	{ 0x6595c7ad, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x479df241, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38062ef6, "pm_runtime_forbid" },
	{ 0xd9a75d2b, "debugfs_create_file" },
	{ 0xb0c022b6, "brcmu_pktq_mdeq" },
	{ 0xcc307553, "cfg80211_unregister_wdev" },
	{ 0x860c64ae, "pci_pme_capable" },
	{ 0x496bc4ca, "brcmu_pktq_penq" },
	{ 0x7112b35a, "dma_free_attrs" },
	{ 0x8d952919, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xa73285b3, "__platform_driver_probe" },
	{ 0x695d385b, "of_device_is_compatible" },
	{ 0x28ca1921, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9664c230, "usb_autopm_get_interface" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x1abc6cb7, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa7338fae, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb46a4448, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdadaa47f, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x3bbf401, "netif_carrier_on" },
	{ 0x6134e1a9, "brcmu_pkt_buf_get_skb" },
	{ 0x7955b4ba, "mmc_hw_reset" },
	{ 0xa4341260, "sdio_retune_release" },
	{ 0x76e1103b, "sdio_claim_irq" },
	{ 0x84a58c4d, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8c0c0ffe, "pci_disable_device" },
	{ 0x3016fc5a, "pci_match_id" },
	{ 0x5e39f95e, "sdio_enable_func" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x1a10915d, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x244340f, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x2efc199f, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xaa1b1b3a, "cfg80211_inform_bss_data" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x47f2e705, "irq_create_of_mapping" },
	{ 0x4effaa7e, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8aac54f0, "dev_kfree_skb_any_reason" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0xb2043ce5, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xcf2b6653, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x1f5ac775, "wiphy_free" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x9e1c039b, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x95b0b2cc, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc2813c9d, "pci_write_config_dword" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x81451d40, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbd541ad1, "sdio_readb" },
	{ 0xb493e313, "sdio_writeb" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "95DDB395ACDD60904D2CA0D");
MODULE_INFO(rhelversion, "9.6");
