#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xc72140d3, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xa5ffa11b, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xfc3b1d14, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xbdc3a17a, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x691bd684, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x2bdddbd5, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xc3df24e3, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x67c869f5, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x0bcaa4b8, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xdff3e35c, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xd5b0c584, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x82d25f25, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x3893835f, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xa14b6ee5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a7b91ac, "try_module_get" },
	{ 0x9a42799b, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x38781027, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4397c5f9, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x77a03a4d, "down_write" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xc192f218, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf5f541e7, "device_create" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ef5fcce, "seq_putc" },
	{ 0x8d8573a5, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xaf943bc8, "__nvme_submit_sync_cmd" },
	{ 0x980ea81a, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0xb657a35, "misc_register" },
	{ 0x2fa6db8b, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x79b137ef, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3361ad36, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xc356b94b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x57e29080, "seq_puts" },
	{ 0x4c9d1f39, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6b9c7184, "nvme_wait_reset" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x22a781be, "single_open" },
	{ 0x2d545fd0, "up_read" },
	{ 0x436b7969, "class_register" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6d43fada, "nvme_auth_negotiate" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
