#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x4c2d416e, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xa29177af, "_gpl");
SYMBOL_CRC(sas_free_task, 0x32cfd568, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x8170ff7b, "");
SYMBOL_CRC(sas_resume_ha, 0x6bf44686, "");
SYMBOL_CRC(sas_suspend_ha, 0xd8ca3f76, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xa995337a, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x08126c6b, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x20f2ad5c, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xc9c3212e, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x5c4901b5, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x9c253e0a, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xd11a83fe, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xcd88509a, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x5a29c677, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x43327266, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x13934da5, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xd0aa088e, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x2eec1f55, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x56b471a4, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x2f7ee894, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x9be8fb4e, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x22ab2fd3, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xb314ffd7, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x5f0734ce, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x50eb9a61, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x62369cd0, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xe2ab43f0, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x5911edf5, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x7b8bbcc7, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91ed2a05, "ata_qc_complete" },
	{ 0xee880878, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7c5b7659, "sas_rphy_remove" },
	{ 0x58254824, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc09d630e, "ata_sas_port_destroy" },
	{ 0x479d52e9, "bsg_job_done" },
	{ 0xdfebb374, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x79b43300, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x5ec981a7, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x46cfc5d, "scsi_schedule_eh" },
	{ 0x2403d100, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x2dc9da70, "ata_host_init" },
	{ 0x4b196d20, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xadb3cde8, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf432b525, "sas_port_get_phy" },
	{ 0x95c5c69b, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0x2394489a, "get_device" },
	{ 0x846b4951, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd125d2f5, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x38781027, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ba211d0, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0x44d72bf6, "_dev_info" },
	{ 0x3fe8fc92, "sas_phy_free" },
	{ 0x661080c3, "scsi_eh_finish_cmd" },
	{ 0xafe91b6, "ata_sas_port_alloc" },
	{ 0x272f6e69, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x3e080d5f, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x436bbd8a, "sas_port_mark_backlink" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x59599932, "ata_std_qc_defer" },
	{ 0x1aee1e3f, "ata_sas_port_start" },
	{ 0xb66760f4, "ata_scsi_port_error_handler" },
	{ 0xcc677ee1, "ata_change_queue_depth" },
	{ 0xb0e83f0a, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92a771d7, "sas_end_device_alloc" },
	{ 0x3fb27278, "mutex_lock_interruptible" },
	{ 0x6b8ca550, "sas_read_port_mode_page" },
	{ 0x17b08afe, "sas_expander_alloc" },
	{ 0x436d7a8b, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89ccb76, "_dev_warn" },
	{ 0xd79a2abe, "sas_rphy_delete" },
	{ 0xcb1acb5, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8801f317, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x9c2cf142, "scsi_host_busy" },
	{ 0xac9c26ff, "ata_sas_async_probe" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x4bc3ad95, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c6ca6b6, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1a3e1edd, "ata_sas_port_suspend" },
	{ 0x8776f455, "sas_rphy_add" },
	{ 0xdfb04202, "sas_port_delete_phy" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82de97aa, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x580296d0, "sas_port_add_phy" },
	{ 0x11ca8d66, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xa10caa69, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x871e3baf, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc9afed06, "ata_host_put" },
	{ 0x8784e7e7, "sas_port_free" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x50349d2f, "ata_std_sched_eh" },
	{ 0x663a77e9, "scsi_block_requests" },
	{ 0x7dea80e8, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xc163f1ba, "sas_remove_children" },
	{ 0x3335b148, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb8d9603d, "ata_port_wait_eh" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
