#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0xacb4c3ab, "");
SYMBOL_CRC(geni_se_init, 0xeed0f3ad, "");
SYMBOL_CRC(geni_se_select_mode, 0x315ec822, "");
SYMBOL_CRC(geni_se_config_packing, 0x7c1381bf, "");
SYMBOL_CRC(geni_se_resources_off, 0xe6b527c5, "");
SYMBOL_CRC(geni_se_resources_on, 0x70af1d80, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x7453289f, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x5d7513cb, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x25f29660, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xd5f5b075, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x3e2a28e9, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0xc768ceb9, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x563fb829, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0x90a71e78, "");
SYMBOL_CRC(geni_icc_get, 0xdc8684ec, "");
SYMBOL_CRC(geni_icc_set_bw, 0x3f4be8c8, "");
SYMBOL_CRC(geni_icc_set_tag, 0xc8a176e7, "");
SYMBOL_CRC(geni_icc_enable, 0x922f3c40, "");
SYMBOL_CRC(geni_icc_disable, 0xb4296609, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9db06f1a, "dma_unmap_page_attrs" },
	{ 0xf6158a7f, "is_acpi_device_node" },
	{ 0xf0339dba, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x121eaa31, "_dev_err" },
	{ 0xc316b515, "icc_set_bw" },
	{ 0x4e3985ff, "icc_set_tag" },
	{ 0xdd814e95, "icc_enable" },
	{ 0xf5d9aff7, "icc_disable" },
	{ 0xb805e707, "__platform_driver_register" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0xf67d15a8, "devm_platform_ioremap_resource" },
	{ 0xe5f74285, "devm_of_platform_populate" },
	{ 0x25a01b9c, "__dynamic_dev_dbg" },
	{ 0x652696f9, "device_get_match_data" },
	{ 0xeb00aab3, "of_count_phandle_with_args" },
	{ 0xbb83d9f0, "devm_clk_bulk_get" },
	{ 0x4c0471ca, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x850f4e59, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xdd3d3e5c, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb25d4769, "dma_map_page_attrs" },
	{ 0x49b0ccea, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.6");
