#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x8c9794ee, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xace3fdb2, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xa61fbcfa, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xa9aa766d, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x8147e2d8, "");
SYMBOL_CRC(fuse_abort_conn, 0xe791bccc, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x7b4c4cef, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xde5290c5, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xb38c6b33, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x99bbd918, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xf603a033, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xe5158981, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x3d67a741, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xb3a7fa29, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xcc0b276c, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x49ba919e, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x798158da, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x8edcdddb, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xc1327d8a, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x96c4a979, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x54a7903b, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xe3818b9c, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xaf5d7fa0, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xfbec4c16, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x6a86acd5, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x887e93df, "");
SYMBOL_CRC(fuse_do_ioctl, 0xa77222ca, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x4f630055, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2514554, "super_setup_bdi_name" },
	{ 0x4f6f038b, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8082f4cb, "truncate_inode_pages" },
	{ 0x31a81b02, "generic_copy_file_range" },
	{ 0x6bcb2dc3, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa42e1f, "pipe_lock" },
	{ 0x73ae19e3, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x34f252ba, "vfs_fsync_range" },
	{ 0x4714e8f0, "setattr_prepare" },
	{ 0xb9391e17, "clear_nlink" },
	{ 0xd07c9093, "file_check_and_advance_wb_err" },
	{ 0xc4f4ea5d, "d_alloc_parallel" },
	{ 0x37b4db48, "flush_dcache_page" },
	{ 0xcaaa40ff, "__init_rwsem" },
	{ 0xd88448a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x9a42799b, "misc_deregister" },
	{ 0x82ebf506, "make_vfsgid" },
	{ 0x304188a7, "clear_inode" },
	{ 0xc0b915f6, "inode_to_bdi" },
	{ 0x3b4af385, "find_pid_ns" },
	{ 0xb7adf12f, "grab_cache_page_write_begin" },
	{ 0xaee5f9d9, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9262caa8, "pipe_unlock" },
	{ 0x834af3a8, "fs_param_is_string" },
	{ 0xc4165eca, "folio_unlock" },
	{ 0xa83057a5, "generic_file_splice_read" },
	{ 0x7fc032e7, "new_inode" },
	{ 0xaf997d44, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x114363b2, "dump_page" },
	{ 0xd5b8f412, "forget_all_cached_acls" },
	{ 0xdcd98a8e, "init_special_inode" },
	{ 0xffb44430, "unregister_filesystem" },
	{ 0xbfe03f8c, "task_active_pid_ns" },
	{ 0x697478dd, "iov_iter_single_seg_count" },
	{ 0xaa9d6a60, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9746d167, "filemap_fdatawrite_range" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0xe65b40d7, "d_alloc_name" },
	{ 0x6055d90a, "replace_page_cache_folio" },
	{ 0x940bab09, "inode_query_iversion" },
	{ 0xdad48586, "iov_iter_advance" },
	{ 0xf1a275cb, "kill_fasync" },
	{ 0xcbc2aade, "d_make_root" },
	{ 0x6c20e4cc, "sb_set_blocksize" },
	{ 0x5e932201, "fget" },
	{ 0x3a49e49c, "simple_fill_super" },
	{ 0xb31f935c, "xas_find" },
	{ 0x1884dc23, "invalidate_mapping_pages" },
	{ 0x110d19eb, "sync_filesystem" },
	{ 0xacbeb860, "noop_dirty_folio" },
	{ 0xca876aba, "sget_fc" },
	{ 0x919359f2, "param_set_uint" },
	{ 0xba8c71e4, "d_splice_alias" },
	{ 0xa3a605b5, "iov_iter_get_pages2" },
	{ 0xcd2c625f, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7fc2f068, "page_get_link" },
	{ 0xe9552ce1, "generic_permission" },
	{ 0x1245955c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x45715f01, "invalidate_inode_pages2_range" },
	{ 0x4de891cb, "posix_lock_file" },
	{ 0x43467bdf, "finish_open" },
	{ 0x67fefd4d, "dax_iomap_rw" },
	{ 0x8e1b093, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x354a886d, "logfc" },
	{ 0xa417ec20, "__put_devmap_managed_page_refs" },
	{ 0xdcad3106, "iter_file_splice_write" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0xe62b09a4, "init_pid_ns" },
	{ 0x3d9ca151, "dax_iomap_fault" },
	{ 0x661ce402, "iov_iter_init" },
	{ 0x9422d82c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x639841eb, "sysfs_create_mount_point" },
	{ 0x1ae9e5c3, "generic_file_write_iter" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa58d983d, "register_filesystem" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0xa36e10d0, "folio_add_lru" },
	{ 0x1819ab1d, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x82432bf6, "sync_inode_metadata" },
	{ 0x864bab38, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x75c2a224, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5c980816, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x298b58ba, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x126e1c72, "get_tree_nodev" },
	{ 0x72905991, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa79674f4, "fs_param_is_u32" },
	{ 0xa67e34eb, "inode_newsize_ok" },
	{ 0x1e8bc1b4, "d_drop" },
	{ 0xddc8a7f3, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x82a72753, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xed8e26fc, "bdi_put" },
	{ 0x5d3b1b6a, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xdf314ae8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfa41ff4c, "make_kuid" },
	{ 0x15d7f934, "truncate_inode_pages_final" },
	{ 0xe9290ac2, "fs_kobj" },
	{ 0x3c354e91, "__filemap_set_wb_err" },
	{ 0xe0fd7780, "simple_dir_operations" },
	{ 0x1e9f7c79, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a54ee7d, "__free_pages" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x42cc9827, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x625a8f37, "setattr_should_drop_suidgid" },
	{ 0x284e2504, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x27d97675, "__var_waitqueue" },
	{ 0xfc0afbb8, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x2c9a1996, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc244e7d7, "inode_init_once" },
	{ 0xfe8d7f93, "file_write_and_wait_range" },
	{ 0xbb359c8e, "nosteal_pipe_buf_ops" },
	{ 0x79fb4526, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x713706ea, "inode_nohighmem" },
	{ 0x68b40aa2, "copy_highpage" },
	{ 0x3258ed87, "release_pages" },
	{ 0xe6760264, "generic_file_direct_write" },
	{ 0x758d9ebc, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x77a03a4d, "down_write" },
	{ 0xc192f218, "up_write" },
	{ 0x26a94d04, "generic_file_read_iter" },
	{ 0x5141052a, "inode_maybe_inc_iversion" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7e9443ab, "unlock_page" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x785a945b, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd24864a1, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e2c53e6, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x68e4b945, "dec_node_page_state" },
	{ 0xf44893ee, "write_cache_pages" },
	{ 0x98f77431, "file_update_time" },
	{ 0x56c9cb28, "set_nlink" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xf3950d4, "from_kgid" },
	{ 0x3b84742b, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc98f2e71, "file_remove_privs" },
	{ 0xb6ad0c7a, "write_inode_now" },
	{ 0xb246ad51, "dax_writeback_mapping_range" },
	{ 0xe4e2b961, "d_obtain_alias" },
	{ 0xc3375539, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5229df57, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf6ea374c, "finish_no_open" },
	{ 0x6c7c731b, "__folio_start_writeback" },
	{ 0x35bcb13f, "kill_litter_super" },
	{ 0x9e9e4ea3, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xeeff9160, "from_kuid" },
	{ 0xe0a22d22, "current_in_userns" },
	{ 0x464987d6, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0xef7e9852, "sysfs_remove_mount_point" },
	{ 0xb657a35, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0xcd2c2f58, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc39eaeda, "d_delete" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe1303737, "from_kgid_munged" },
	{ 0x831f5033, "end_page_writeback" },
	{ 0xa7de8eac, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xde05fd7b, "kobject_create_and_add" },
	{ 0x79b137ef, "down_read" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xd4c387c7, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x44f5c7a, "nonseekable_open" },
	{ 0x76ba2891, "dax_finish_sync_fault" },
	{ 0x307539a2, "set_page_dirty" },
	{ 0x749d204a, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45a034bb, "redirty_page_for_writepage" },
	{ 0xbe954c5a, "noop_direct_IO" },
	{ 0xa6f65c47, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8407e9db, "generic_read_dir" },
	{ 0xe0c2b7f4, "d_add" },
	{ 0xdd22b8d0, "set_page_writeback" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xddd8a5d4, "init_user_ns" },
	{ 0xa0ff7e62, "d_find_alias" },
	{ 0x5b0502b1, "invalidate_inode_pages2" },
	{ 0x7ff66168, "alloc_pages" },
	{ 0xef7ea40e, "inc_nlink" },
	{ 0x97e10ea3, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6983f7ec, "get_tree_bdev" },
	{ 0x6eefb148, "set_anon_super_fc" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x5db33788, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb121f57f, "generic_delete_inode" },
	{ 0x8b0d74f4, "deactivate_locked_super" },
	{ 0xb39d0b7c, "touch_atime" },
	{ 0xf419d953, "__percpu_down_read" },
	{ 0xf2a2cb92, "__d_lookup_unhash_wake" },
	{ 0x78db1b22, "set_page_dirty_lock" },
	{ 0x811875ef, "pid_nr_ns" },
	{ 0x988f76cd, "generic_file_open" },
	{ 0xd3e95969, "truncate_inode_pages_range" },
	{ 0x77086747, "__put_user_ns" },
	{ 0x916a9404, "__folio_lock" },
	{ 0xeab8ba1b, "filemap_dirty_folio" },
	{ 0x768e9dcf, "pagecache_get_page" },
	{ 0x57e29080, "seq_puts" },
	{ 0xaf448fad, "stream_open" },
	{ 0x2b000e81, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xa0e1d506, "__wake_up_sync" },
	{ 0xe08a7686, "add_to_pipe" },
	{ 0x42f5d799, "__fs_parse" },
	{ 0xebc49b81, "dax_layout_busy_page_range" },
	{ 0x8d02da79, "posix_acl_to_xattr" },
	{ 0x133f4124, "dget_parent" },
	{ 0x142ebb33, "kill_anon_super" },
	{ 0xf042dfbe, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x81cca024, "iget5_locked" },
	{ 0x4d487935, "security_dentry_init_security" },
	{ 0x9192fa5, "filemap_write_and_wait_range" },
	{ 0xa990cd36, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1e89968c, "generic_write_checks" },
	{ 0x2c889d91, "iov_iter_revert" },
	{ 0xe1b9bce7, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1d6b45c7, "mntget" },
	{ 0x38419104, "kmem_cache_alloc_lru" },
	{ 0x740146fd, "filemap_fault" },
	{ 0xbb0eb924, "d_invalidate" },
	{ 0xff9f0f44, "__mark_inode_dirty" },
	{ 0xc38feb7c, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2d545fd0, "up_read" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x9bac0ffc, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1df84819, "drop_nlink" },
	{ 0xdea69a96, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1a452e54, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x4c81a326, "bdi_set_max_ratio" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0x4fe584f4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
