#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc99545d4, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xaeb4a1f8, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x6f5977bf, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x8e31faeb, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xa956d967, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xdf9a88a4, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xdeada517, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x30d4c20c, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x778203e3, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xd8aa786a, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x2e5ee3ec, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x16a1a6f5, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x7e83055e, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x8aa41f2e, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x8db0d84b, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x11978863, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x951275d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xe1589af3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xf45abb32, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x14495c76, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x3e5ff6dc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x6c89ae70, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xed6c6223, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x506a6941, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xa8d11236, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xe2b5b66b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x84d816d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x14f845f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x53a79356, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xa16e55ee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xf490243c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x46aadb87, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x9458f407, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x63e2fcdc, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x85f8542b, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x3172208b, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x78dcc88c, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xab040c2d, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x5db3a285, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x967257ae, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x58ef7034, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xb23e14f9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x16785a6e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x19d90ce8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xe58b1211, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x49238778, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xe338fc6a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xf448b7bc, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x2badfc8e, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xada75418, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xf8e14db6, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x0201850d, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x44c38208, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x07eda2c4, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xf24c9a10, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xa554c2de, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xc22022f5, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x30a63eb6, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x7b237abe, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x5246815e, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xc87fdba7, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x48aeae27, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x00fd708f, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x33953bdf, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x2d0e2c74, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xfa828bc2, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xcbe36e70, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x744b66ec, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x286c419a, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xb5e4a768, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x77904e6a, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x0e24c61f, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x415711e3, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x47282f4b, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xf7cfd4bf, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x90f96f44, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x4b13a189, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x901f191d, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x91efc194, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x3fc66e95, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x49db4c3d, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xe9780d98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc8c8e99, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x31a81b02, "generic_copy_file_range" },
	{ 0xb8122bb, "svc_generic_rpcbind_set" },
	{ 0x79b40078, "nfs_clone_server" },
	{ 0x8fe442ef, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc4ed2c6, "filemap_fdatawrite" },
	{ 0x96ab6749, "nfs_show_stats" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0xb238b35d, "nfs_server_remove_lists" },
	{ 0x2bc1fd06, "nfs42_ssc_unregister" },
	{ 0xa56978f9, "generic_listxattr" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xb04fe22e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfafce32e, "nfs_writeback_update_inode" },
	{ 0x304188a7, "clear_inode" },
	{ 0xc0b915f6, "inode_to_bdi" },
	{ 0x2c0bf539, "bpf_trace_run4" },
	{ 0xcf88d4f3, "user_destroy" },
	{ 0x55a2a0be, "idr_find" },
	{ 0xc593c16b, "param_ops_uint" },
	{ 0x89f19c61, "user_revoke" },
	{ 0x38ba44a2, "d_exact_alias" },
	{ 0x73910e5, "nfs_alloc_client" },
	{ 0xc6960573, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x82933506, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5b904563, "rpc_clnt_probe_trunked_xprts" },
	{ 0xeb85c6c, "nfs_pageio_reset_read_mds" },
	{ 0x9446eea6, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7e6f53d2, "rpc_shutdown_client" },
	{ 0xdd68e1e7, "svc_bind" },
	{ 0xdd4e1e19, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x23e28631, "nfs_free_inode" },
	{ 0xf985a104, "nfs_access_zap_cache" },
	{ 0x7507b6f8, "nfs_sb_deactive" },
	{ 0x964636fa, "nfs_wb_all" },
	{ 0xa83057a5, "generic_file_splice_read" },
	{ 0xb98b4852, "__break_lease" },
	{ 0x277d699a, "nfs_pageio_init_write" },
	{ 0xf59209fa, "svc_recv" },
	{ 0x767285da, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x450ba2df, "xdr_inline_decode" },
	{ 0x5e6b11b5, "nfs_pageio_init_read" },
	{ 0x7dfa03, "trace_raw_output_prep" },
	{ 0x7bd2342f, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x18215ad8, "nfs_init_commit" },
	{ 0x98c32c31, "nfs_commitdata_release" },
	{ 0xc087efb5, "bpf_trace_run6" },
	{ 0xf3f8a49a, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa46dae8d, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x3eeed407, "nfs_mknod" },
	{ 0x992e0040, "nfs_inode_attach_open_context" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0xdbdcfe68, "nfs4_label_alloc" },
	{ 0xf21e4566, "rpc_localaddr" },
	{ 0x91930af1, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7db166ba, "trace_event_printf" },
	{ 0xb8d1fadc, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xf1eb50d6, "idr_replace" },
	{ 0x399536a7, "nfs_lock" },
	{ 0x5cc84848, "unregister_key_type" },
	{ 0xefc5d4b0, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xba8c71e4, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xef8c43cf, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2b7cd39e, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x3963cc43, "ihold" },
	{ 0x1245955c, "truncate_pagecache_range" },
	{ 0x6a35443c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x45715f01, "invalidate_inode_pages2_range" },
	{ 0x7013b0f4, "nfs_post_op_update_inode" },
	{ 0x96a5965e, "svc_exit_thread" },
	{ 0x8e1b093, "iput" },
	{ 0xe2b9c212, "xdr_set_pagelen" },
	{ 0x7ad601c2, "nfs_pgio_header_free" },
	{ 0xbb571158, "nfs_request_add_commit_list_locked" },
	{ 0x8fd5338f, "add_wait_queue" },
	{ 0x354a886d, "logfc" },
	{ 0xf0376db1, "nfs_pgio_header_alloc" },
	{ 0xa417ec20, "__put_devmap_managed_page_refs" },
	{ 0xdcad3106, "iter_file_splice_write" },
	{ 0xbfac69ac, "rpc_pton" },
	{ 0x2359ea7e, "nfs_sb_active" },
	{ 0xc52a7356, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x57c421a6, "rpc_wake_up_queued_task" },
	{ 0xb8143546, "bpf_trace_run2" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa9fbd933, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb7ee06c9, "rpc_restart_call_prepare" },
	{ 0x639ecc4c, "event_triggers_call" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x11030cef, "_copy_from_pages" },
	{ 0x4dc670e5, "__module_get" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0x795b58eb, "rpc_task_release_transport" },
	{ 0xf228a474, "xdr_page_pos" },
	{ 0xeaee7b3e, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf95ca59a, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4e21a1a, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x519a2897, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x9b3eb628, "register_key_type" },
	{ 0x25ad6e0a, "rpc_sleep_on" },
	{ 0x3f0a925d, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x65d9bcbd, "nfs_pageio_resend" },
	{ 0x29008fce, "keyring_alloc" },
	{ 0x5c980816, "vfs_setpos" },
	{ 0xad8ceb9f, "nfs_create" },
	{ 0xb16fc808, "complete_request_key" },
	{ 0x63fa41a4, "__put_cred" },
	{ 0x4c13b25f, "nfs_update_delegated_mtime" },
	{ 0x53bf5950, "nfs_statfs" },
	{ 0xda591452, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x32ae2e82, "rpc_max_bc_payload" },
	{ 0x5c63e44, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xbe195415, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x72905991, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfcd9e39d, "nfs_mkdir" },
	{ 0x232c05f7, "nfs_revalidate_inode" },
	{ 0xa67e34eb, "inode_newsize_ok" },
	{ 0xf6d4ad9c, "nfs_file_mmap" },
	{ 0xfef2207a, "nfs_get_lock_context" },
	{ 0x1e8bc1b4, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xde285d93, "nfs_set_cache_invalid" },
	{ 0xf4b21428, "rpc_release_client" },
	{ 0x10a7a5d6, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5cd12729, "rt_spin_trylock" },
	{ 0x1ac09e28, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1ac280d, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9224a58c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9515887b, "trace_event_ignore_this_pid" },
	{ 0x40f561f7, "nfs_generic_pgio" },
	{ 0xfa41ff4c, "make_kuid" },
	{ 0x15d7f934, "truncate_inode_pages_final" },
	{ 0x30ace719, "generic_setlease" },
	{ 0x52e3143d, "xprt_destroy_backchannel" },
	{ 0xe7831247, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x3963e356, "nfs_scan_commit_list" },
	{ 0xc3538b9a, "xdr_stream_decode_string_dup" },
	{ 0xf150587, "nfs_commit_inode" },
	{ 0x34051a31, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x670bf489, "rpc_destroy_pipe_data" },
	{ 0x68b972bc, "nfs_get_client" },
	{ 0x3a54ee7d, "__free_pages" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb51fe043, "nfs_atomic_open" },
	{ 0x6a635425, "rpc_pipe_generic_upcall" },
	{ 0x66c3d66e, "nfs_file_fsync" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x27d97675, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x766120a5, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe450761a, "nfs_put_lock_context" },
	{ 0xae34719f, "nfs_rename" },
	{ 0xd7653eeb, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xcd07545, "nfs_sysfs_link_rpc_client" },
	{ 0xc3f925bb, "nfs_put_client" },
	{ 0x677a4c68, "nfs_show_options" },
	{ 0x8a9c1e6b, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x4397c5f9, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xea3b6326, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9ca69271, "get_nfs_open_context" },
	{ 0x714e4273, "perf_trace_run_bpf_submit" },
	{ 0x21c5b328, "nfs_clear_verifier_delegated" },
	{ 0xc058d1aa, "nfs_sysfs_add_server" },
	{ 0x758d9ebc, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x77a03a4d, "down_write" },
	{ 0xf2d9acc1, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x6a7f1a9, "nfs_do_submount" },
	{ 0xed91e969, "vfs_dup_fs_context" },
	{ 0xc192f218, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43fb1089, "request_key_with_auxdata" },
	{ 0xaf11c3bd, "rpc_clone_client_set_auth" },
	{ 0x5c6d1a36, "rpc_clone_client" },
	{ 0x9708e233, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa0718ecf, "nfs_client_init_status" },
	{ 0x4e3412d9, "idr_alloc" },
	{ 0x1dbad560, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcafa716d, "radix_tree_preloads" },
	{ 0x3db9aa5, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e2c53e6, "put_fs_context" },
	{ 0x2fe0164f, "nfs_retry_commit" },
	{ 0x2d3c9bd8, "nfs4_dentry_operations" },
	{ 0x8851611, "__module_put_and_kthread_exit" },
	{ 0x38f347d7, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x38f42af9, "nfs_client_for_each_server" },
	{ 0xf63028b0, "nfs_clear_inode" },
	{ 0xfe4df2aa, "rpc_sleep_on_priority" },
	{ 0x3f50baee, "nfs_invalidate_atime" },
	{ 0x3fb1a55, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x34decc4a, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x298003ec, "nfs_getattr" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x384f0364, "nfs_pageio_reset_write_mds" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0xff31415d, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x92b90f1d, "xdr_stream_subsegment" },
	{ 0x277261a7, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xdfa481a1, "nfs_fscache_open_file" },
	{ 0xf3950d4, "from_kgid" },
	{ 0x9f2f70ed, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb26f4b1, "nfs_write_inode" },
	{ 0x9a981d1c, "nfs_request_remove_commit_list" },
	{ 0x7fe081cd, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3c323d30, "rpc_wake_up_first" },
	{ 0xf48a2d3c, "alloc_nfs_open_context" },
	{ 0x2c421922, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xdc7a442f, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd967df7e, "nfs_path" },
	{ 0x1602191a, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x842a7985, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7302358e, "register_nfs_version" },
	{ 0xaf89ef09, "rpc_sleep_on_timeout" },
	{ 0x4d9e3d51, "list_lru_count_one" },
	{ 0xcbb843c2, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6e7a5d93, "rpc_call_start" },
	{ 0x7b762a11, "xprt_setup_backchannel" },
	{ 0xf77811ee, "bpf_trace_run1" },
	{ 0x88c663fc, "svc_create" },
	{ 0x4ee71a91, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x251161a8, "nfs_file_set_open_context" },
	{ 0x4c8f5405, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xd67d3ff2, "rpc_call_sync" },
	{ 0xeeff9160, "from_kuid" },
	{ 0x6c616153, "rpc_put_task_async" },
	{ 0xee1c7073, "rpc_prepare_reply_pages" },
	{ 0x333327d0, "rpc_queue_upcall" },
	{ 0x31e2a4f, "nfs_free_server" },
	{ 0x464987d6, "fc_mount" },
	{ 0x4fed5d71, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x65d25590, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8ef71b16, "nfs4_fs_type" },
	{ 0x8eda4132, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xca5f3010, "rpc_delay" },
	{ 0x5a48a5fc, "nfs_flock" },
	{ 0x29e626e8, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0x76032a61, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xa565f75c, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x5ba8e991, "rpc_exit" },
	{ 0xcd2c2f58, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x6325613a, "rpc_remove_pipe_dir_object" },
	{ 0x576ef33b, "nfs_may_open" },
	{ 0xe1303737, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x94faa907, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79b137ef, "down_read" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xe35048d1, "xdr_reserve_space" },
	{ 0xdd7a290f, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7a9ecd5d, "nfs_rmdir" },
	{ 0x6ccddc54, "bpf_trace_run3" },
	{ 0xf987c8b7, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x1936d7d3, "nfs_filemap_write_and_wait_range" },
	{ 0x8b61e796, "rpc_mkpipe_dentry" },
	{ 0xea6e9b41, "alloc_file_pseudo" },
	{ 0xbedb9daf, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4d17773e, "rpc_add_pipe_dir_object" },
	{ 0xa6f65c47, "igrab" },
	{ 0x3cac6ad9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xec1ced0d, "nfs_async_iocounter_wait" },
	{ 0x8fa3c6c2, "nfs_file_read" },
	{ 0x4025fc95, "trace_event_buffer_reserve" },
	{ 0xc39db6ea, "nfs_alloc_fattr_with_label" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x5cd9a9ef, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xa51cf3bf, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6130798d, "nfs_setattr_update_inode" },
	{ 0x91440542, "nfs_instantiate" },
	{ 0xddd8a5d4, "init_user_ns" },
	{ 0x3d48aa36, "rpc_uaddr2sockaddr" },
	{ 0x31e04484, "user_read" },
	{ 0xb063f238, "rpc_restart_call" },
	{ 0xe86b35a4, "request_key_tag" },
	{ 0x5d7ef44a, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x7ff66168, "alloc_pages" },
	{ 0x37bc8281, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x4f74cf60, "svc_xprt_destroy_all" },
	{ 0xcc97b200, "generic_key_instantiate" },
	{ 0xef7ea40e, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x988d07ab, "nfs_link" },
	{ 0x97e10ea3, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdeb60cb2, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x4f3aab4a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5db33788, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xcf54b56b, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1c69b88c, "xdr_stream_move_subsegment" },
	{ 0xcaa6797f, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xcfaf0bfa, "nfs_post_op_update_inode_force_wcc" },
	{ 0xffb1ad17, "nfs_pgheader_init" },
	{ 0x728e9a5, "put_nfs_open_context" },
	{ 0x914c2d11, "nfs_show_path" },
	{ 0xb66f3632, "nfs_show_devname" },
	{ 0x880e9e62, "nfs_permission" },
	{ 0xf1183f9, "nfs_initiate_commit" },
	{ 0xd3e95969, "truncate_inode_pages_range" },
	{ 0x77086747, "__put_user_ns" },
	{ 0xeb2a712c, "cred_fscmp" },
	{ 0x19277917, "rpc_unlink" },
	{ 0xc9f21b0f, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x735887d9, "proc_dointvec" },
	{ 0x1a10915d, "remove_wait_queue" },
	{ 0x862b6348, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x3d3d2e29, "node_data" },
	{ 0x8e497d67, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9ffdc6b1, "nfs_setsecurity" },
	{ 0xbd368921, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xfb33d2bd, "rpc_clnt_test_and_add_xprt" },
	{ 0x6f2825b6, "file_ra_state_init" },
	{ 0x5ed54bee, "nfs_force_lookup_revalidate" },
	{ 0x1c71469e, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfab2ddd9, "rpc_clnt_add_xprt" },
	{ 0x133f4124, "dget_parent" },
	{ 0xf042dfbe, "from_kuid_munged" },
	{ 0x7d054c39, "prepare_kernel_cred" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x3d963c5e, "nfs_alloc_server" },
	{ 0x3727bef7, "rpc_call_async" },
	{ 0x4d487935, "security_dentry_init_security" },
	{ 0x9192fa5, "filemap_write_and_wait_range" },
	{ 0x1fad6e83, "list_lru_del_obj" },
	{ 0x4631f27b, "nfs_server_insert_lists" },
	{ 0x4b23fd41, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbebdab59, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9592d40d, "rpc_init_pipe_dir_object" },
	{ 0x43a9bacb, "bpf_trace_run7" },
	{ 0x118ef825, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x13d352c9, "nfs_init_server_rpcclient" },
	{ 0xff9f0f44, "__mark_inode_dirty" },
	{ 0x31ae614a, "rpc_set_connect_timeout" },
	{ 0x6340e2a8, "rpcauth_create" },
	{ 0x5ccd7d8c, "xdr_stream_pos" },
	{ 0x22a418b5, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x2d545fd0, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x26016a2d, "svc_xprt_create" },
	{ 0x3a7ac79b, "nfs42_ssc_register" },
	{ 0x2bc30bbe, "rpc_wait_for_completion_task" },
	{ 0x1df84819, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4d0f533c, "rpc_num_bc_slots" },
	{ 0x18b3f8f5, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x11402656, "rpc_destroy_wait_queue" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x8904ac1e, "security_inode_listsecurity" },
	{ 0x63ee54ae, "nfs_fhget" },
	{ 0xb52aa203, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xae13ea7a, "locks_copy_lock" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xdb5d138a, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb17c486, "nfs_set_verifier" },
	{ 0x4ea6a97b, "proc_dointvec_minmax" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "112E964764B3DF7C07280CA");
MODULE_INFO(rhelversion, "9.6");
