#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x3420ab46, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xad734dcb, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xca20ba25, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x733ea4cf, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xa6a52368, "_gpl");
SYMBOL_CRC(br_forward, 0x48c276e5, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x723bfdb4, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa552e709, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xb706d16a, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x63921e76, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xe9af542f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x7b8244a5, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xe1d86162, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x3ce1cc9e, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x5edde61f, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xf457b784, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x83ce8f18, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x10ade4d2, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xb0a0c862, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x808b2d04, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x8a0aac6a, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xdb18f2b9, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xacbb6118, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7d5bb903, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x20b75e6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8cc1790, "netdev_lower_get_next" },
	{ 0x8b34ddfd, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4cf030b0, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0x5faf94ea, "__nlmsg_put" },
	{ 0x706a03fa, "switchdev_port_attr_set" },
	{ 0x1533a968, "ipv6_mc_check_mld" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7feaa244, "call_switchdev_notifiers" },
	{ 0xc63a78e6, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x69885131, "netdev_update_features" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x245a38af, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc875496e, "__traceiter_br_fdb_update" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xe0bd01ae, "dev_uc_del" },
	{ 0x156c3760, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2a1dbb61, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xede8b703, "switchdev_port_obj_act_is_deferred" },
	{ 0xbdbe9c57, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xeaef1c19, "dev_set_promiscuity" },
	{ 0x77c56845, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa0fbbfcb, "unregister_netdevice_queue" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4701bab5, "netdev_state_change" },
	{ 0xfd86269c, "__pskb_copy_fclone" },
	{ 0x574176e5, "__dev_get_by_name" },
	{ 0x5939d5b5, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa8f5bb70, "netdev_err" },
	{ 0x8e8fa1fe, "pskb_expand_head" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xe7fa100c, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x4acc0585, "arp_xmit" },
	{ 0x6acf1ea1, "__traceiter_br_mdb_full" },
	{ 0xab61bd6f, "alloc_netdev_mqs" },
	{ 0xd94ef79d, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x39682af9, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc5793f6b, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x85440614, "__alloc_skb" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0x66227b8c, "rtnl_set_sk_err" },
	{ 0x41c8d132, "skb_vlan_pop" },
	{ 0x97c47900, "rtnl_unicast" },
	{ 0x75ff55ac, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9eadd68f, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x787f2da6, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfc2d1298, "__dev_get_by_index" },
	{ 0x2ee2b7d0, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xa61f561, "dev_get_port_parent_id" },
	{ 0x2fa02304, "init_net" },
	{ 0xe7820866, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7d06f1d4, "inet_confirm_addr" },
	{ 0x790adc37, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8dfb7d00, "sysfs_remove_link" },
	{ 0xa60a08f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x10041afd, "rtnl_af_unregister" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8972f820, "arp_send" },
	{ 0x4cd54bdd, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x5a06731d, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xd6f256b8, "skb_push" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x2f3b6834, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x2975f782, "netdev_upper_dev_unlink" },
	{ 0x456f8bf8, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa86af2a, "llc_mac_hdr_init" },
	{ 0xb19459be, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6b3c734e, "kobject_init_and_add" },
	{ 0x2ba88f6a, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x60c44e2d, "ns_capable" },
	{ 0x9b3ad14b, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d46166, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x92125fd7, "arp_create" },
	{ 0xdde07f18, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x404ee8ce, "stp_proto_register" },
	{ 0x464d8439, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xb5384769, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdfe8d2b0, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5ad59d0f, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0xe7f02d72, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x32be0c08, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xfe053d3e, "ip_mc_check_igmp" },
	{ 0xa5dae726, "__netdev_alloc_skb" },
	{ 0x177f231e, "rhashtable_destroy" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x5eb39803, "switchdev_port_obj_del" },
	{ 0x63dec3da, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xde05fd7b, "kobject_create_and_add" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xded5cc99, "nf_hook_slow" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1ee86c43, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15acb61e, "__ip_mc_inc_group" },
	{ 0x82a93b1c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0x79115f0, "__traceiter_br_fdb_external_learn_add" },
	{ 0xd17dc65e, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xaa1cd90, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf59e765f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70576ffd, "vlan_vid_add" },
	{ 0x69c6f1d, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x64376b15, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf6daffec, "call_netdevice_notifiers" },
	{ 0x7f02bd7b, "is_skb_forwardable" },
	{ 0x5ad1770a, "vlan_vid_del" },
	{ 0x6d1b30a9, "dev_set_allmulti" },
	{ 0x72a940c8, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x74118d4f, "netdev_master_upper_dev_get" },
	{ 0xdc44730d, "ipv6_dev_mc_inc" },
	{ 0x99b19b96, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdadaa47f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcc1d023e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf52d9f66, "skb_clone" },
	{ 0x459cd6c3, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf289385b, "dst_release" },
	{ 0x3bbf401, "netif_carrier_on" },
	{ 0xe14020b, "kobject_uevent" },
	{ 0xb4ab98e9, "arp_tbl" },
	{ 0x5ebbee0d, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa990425, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7c699813, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa007dc6b, "netif_set_tso_max_size" },
	{ 0xc7fed304, "dev_disable_lro" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0xab51da4a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4f739b6a, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8aac54f0, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x2a58efeb, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6fe51b3, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x69e2f6b, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x2d8cbcba, "skb_ext_add" },
	{ 0x3b8005ab, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x14503d1, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0x9890fa49, "neigh_lookup" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4fe584f4, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1790d582, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
