#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x90db8668, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xbd85fada, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x69cd6483, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x742bc783, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x0838dd7e, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x17897a1a, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x1cd0a4f4, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x9764b45a, "_gpl");
SYMBOL_CRC(ip_set_test, 0xf8d16249, "_gpl");
SYMBOL_CRC(ip_set_add, 0xc7373950, "_gpl");
SYMBOL_CRC(ip_set_del, 0x46244e0b, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x604f98e5, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xb74a30db, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xcd9b1b94, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x7d5b1360, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x39c66899, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x628bf8d1, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x5a88ae0f, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x4e062e96, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe153c66c, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0x5faf94ea, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3b76be1f, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x474af180, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe0e397af, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8bb7c670, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfbcfc47e, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0x85440614, "__alloc_skb" },
	{ 0x49fb3a34, "rt_write_unlock" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x4367f0a7, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x60c44e2d, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1931254a, "nfnetlink_subsys_unregister" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb0374b0, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x4412394e, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6c0620a3, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "5815AF39C0D30A0623F12F4");
MODULE_INFO(rhelversion, "9.6");
