#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x23245c10, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xd70033e4, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf20a6556, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x03bff15e, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x255870b3, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xeb148263, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xf4f6e8aa, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xb6bbe408, "");
SYMBOL_CRC(ip_vs_conn_put, 0x2d78fba1, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xd2fb3208, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x391ab2f5, "");
SYMBOL_CRC(register_ip_vs_app, 0x8c8990c3, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa20ad35e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xcb8c8987, "");
SYMBOL_CRC(ip_vs_proto_get, 0xbbd43d88, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x888a9e44, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe31e5bb0, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x259d7b60, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x5fa31d3a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9ab6956, "nf_ct_ext_add" },
	{ 0x63a34321, "nf_conntrack_find_get" },
	{ 0x2a7b91ac, "try_module_get" },
	{ 0xb3effc05, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x26295f70, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0xbf885d37, "xfrm_lookup" },
	{ 0xb96a096e, "proc_dointvec_jiffies" },
	{ 0x40f1a224, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0xd64cc26c, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3b76be1f, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19a9e6ca, "nf_ct_netns_get" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x36ed1f46, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xad8f29b, "kernel_bind" },
	{ 0x6f266573, "genlmsg_put" },
	{ 0xe74c1682, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b619602, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x5f62cefd, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4dc670e5, "__module_get" },
	{ 0xcfe21baa, "ip_route_output_flow" },
	{ 0x4af50c2f, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x86e7bd37, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x574176e5, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9360bfae, "proc_create_net_data" },
	{ 0x8e8fa1fe, "pskb_expand_head" },
	{ 0x8a039aa1, "register_pernet_subsys" },
	{ 0xda591452, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8bb7c670, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x30d49be7, "nf_register_net_hooks" },
	{ 0xc4a823a9, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x85440614, "__alloc_skb" },
	{ 0x4bfce77d, "kmem_cache_alloc" },
	{ 0xe84ed80, "ipv6_sock_mc_join" },
	{ 0x6e6bf60e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x9eadd68f, "ipv6_dev_get_saddr" },
	{ 0xe362b1e1, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2fa02304, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0x8a718bfa, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2b31828e, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1404d8df, "nf_conntrack_alter_reply" },
	{ 0xda9619c9, "ip_route_me_harder" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xd6f256b8, "skb_push" },
	{ 0xc0699b14, "kmem_cache_free" },
	{ 0x1ef5fcce, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf146409f, "proc_doulongvec_minmax" },
	{ 0x2cec70af, "nf_ct_expect_alloc" },
	{ 0x38efa240, "skb_ensure_writable" },
	{ 0x790a442f, "iov_iter_kvec" },
	{ 0x7b751d31, "ip_mc_join_group" },
	{ 0x4fc0dcdd, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x60c44e2d, "ns_capable" },
	{ 0x3c2097a3, "nf_unregister_net_hooks" },
	{ 0x9b3ad14b, "inet_select_addr" },
	{ 0x1a745af6, "unregister_pernet_device" },
	{ 0x17e6fe55, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5aec8abd, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcd44a78, "kthread_stop" },
	{ 0x76ba8462, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xef70ad7b, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xa1105616, "kernel_connect" },
	{ 0x76172fbd, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xa378af8e, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdc744105, "__icmpv6_send" },
	{ 0x2ceb0d1f, "__pskb_pull_tail" },
	{ 0x72ea5399, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a3f7537, "skb_trim" },
	{ 0xded5cc99, "nf_hook_slow" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f6b6858, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xa956498f, "nf_ct_deliver_cached_events" },
	{ 0xd9d5f2af, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a91100b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe5b3b5a3, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x40e98f59, "skb_set_owner_w" },
	{ 0x78d9528f, "__skb_checksum" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7e60c534, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xddd8a5d4, "init_user_ns" },
	{ 0x11f70e7c, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x826c6e44, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x6b0e8cad, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x963d2a9e, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x821d7b6d, "ipv4_update_pmtu" },
	{ 0xf98b4439, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf289385b, "dst_release" },
	{ 0xbfbf7d8f, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x735887d9, "proc_dointvec" },
	{ 0x57e29080, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x98f50d9f, "unregister_net_sysctl_table" },
	{ 0xf855e5c8, "ip_local_out" },
	{ 0x76cf00d4, "genl_unregister_family" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6ba5e29b, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe53b342a, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x87a0088c, "genl_register_family" },
	{ 0x3b8df650, "kernel_sendmsg" },
	{ 0xe6cceb68, "nf_ct_netns_put" },
	{ 0x7f076d2c, "register_pernet_device" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb552de1a, "kmem_cache_destroy" },
	{ 0xba2e801, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ea6a97b, "proc_dointvec_minmax" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
