#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x4d918726, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xbed4e2a8, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x23371d9f, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0cca577, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb3039ef0, "sock_queue_rcv_skb_reason" },
	{ 0x5fee4015, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2c0bf539, "bpf_trace_run4" },
	{ 0xa1e01700, "skb_copy_bits" },
	{ 0xed42fd9d, "radix_tree_insert" },
	{ 0xd3cbb6ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e8cd714, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dfa03, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x9ac806eb, "radix_tree_lookup" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x7db166ba, "trace_event_printf" },
	{ 0xad8f29b, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2b7cd39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x639ecc4c, "event_triggers_call" },
	{ 0x651f65dd, "__wake_up" },
	{ 0x4dc670e5, "__module_get" },
	{ 0x77fd4f0c, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfd86269c, "__pskb_copy_fclone" },
	{ 0xbc9a2893, "sk_error_report" },
	{ 0x1faa44b4, "skb_queue_purge_reason" },
	{ 0xfa691f4, "radix_tree_iter_delete" },
	{ 0x5c63e44, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x4cdc1f70, "proto_unregister" },
	{ 0x7092fc74, "sock_register" },
	{ 0x4852d0bd, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9515887b, "trace_event_ignore_this_pid" },
	{ 0x85440614, "__alloc_skb" },
	{ 0x49fb3a34, "rt_write_unlock" },
	{ 0x98e8feb2, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6e6bf60e, "module_put" },
	{ 0xe1f3a48e, "__xa_alloc" },
	{ 0xf3fa07ea, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x714e4273, "perf_trace_run_bpf_submit" },
	{ 0xb52960c0, "__traceiter_sk_data_ready" },
	{ 0x2fa02304, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4595e318, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf504569, "sk_skb_reason_drop" },
	{ 0xaaba9a5b, "xa_load" },
	{ 0x90f5f845, "kernel_getsockname" },
	{ 0x2d909df1, "do_wait_intr_irq" },
	{ 0x3341785, "sk_free" },
	{ 0x31c29bc5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xd6f256b8, "skb_push" },
	{ 0xfaa68148, "sock_no_listen" },
	{ 0x9f2f70ed, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x17e6fe55, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2f8441f0, "skb_copy_datagram_iter" },
	{ 0x79d92449, "sk_alloc" },
	{ 0x82113b2d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xecd65dc1, "sock_no_mmap" },
	{ 0xcf0e55ee, "__init_waitqueue_head" },
	{ 0xa0533622, "sock_no_sendpage" },
	{ 0xa5dae726, "__netdev_alloc_skb" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xd3bccfae, "__xa_insert" },
	{ 0xcb0b2b86, "xa_erase" },
	{ 0x6ccddc54, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x40e98f59, "skb_set_owner_w" },
	{ 0x4025fc95, "trace_event_buffer_reserve" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x7e60c534, "sock_create_kern" },
	{ 0x88e743c6, "xa_find" },
	{ 0x26dfc9c, "skb_recv_datagram" },
	{ 0xad0a025, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7d5300c3, "xa_store" },
	{ 0x6c0620a3, "rt_write_lock" },
	{ 0x5ffffbd9, "_copy_from_iter" },
	{ 0xbfbf7d8f, "sock_release" },
	{ 0xa9951064, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2a2dfcd5, "xa_find_after" },
	{ 0x39fb21dc, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2c889d91, "iov_iter_revert" },
	{ 0x3b8df650, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x41d73312, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xbd7a8230, "kmalloc_caches" },
	{ 0xba2e801, "release_sock" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
